unit UnitAcesso;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, DB, DBTables, ExtCtrls, MMSystem;

type
  TFormAcesso = class(TForm)
    Panel1: TPanel;
    LabelTitulo: TLabel;
    EditSenha: TEdit;
    Panel7: TPanel;
    LabelMensagem: TLabel;
    Bevel1: TBevel;
    procedure BTSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure EditSenhaKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
    procedure AppException(Sender: TObject; E: Exception);
    procedure WMNCHitTest(var M: TWMNCHitTest); message wm_NCHitTest;
  public
    { Public declarations }
  end;

var
  FormAcesso: TFormAcesso;

Var                  // Variveis Globais
  Nome,Usuario,Impressora,FecharCaixa,JanelaClie,JanelaProd,Logar,JanelaConsulta,
  NumeroConsulta,NumeroCorte,Logado,Mensagem:String;
  Ativo,Liberado,Projeto,Projetar,Formulario:Integer;

implementation

uses UnitMenu, UnitModule, UnitAviso;

procedure TFormAcesso.AppException(Sender: TObject; E: Exception);
begin
   if E is EFOpenError then
   begin
//   Application.MessageBox('Algum Arquivo foi removido ou deletado, pode ser de imagem, '
//   + ' de texto ou de banco de dados, se caso o problema no for resolvido, Ligue para Sandro 3945-0243 !','Ateno',48+0);
   End
   else
   if E is EOutOFResources then
   begin
//   Application.MessageBox('Houve um problema com a memria do sistema, reinicie o seu computador, '
//   + 'se caso o problema no for resolvido, Ligue para Sandro 3945-0243 !','Ateno',48+0);
   End
   else
   if E is EConvertError then
   begin
   with EConvertError(E) do
   if Pos('date and time', Message) > 0 then
   begin
   SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
   Application.CreateForm(TFormAviso, FormAviso);
   FormAviso.LabelFrase.Caption:='Data ou hora invlida!';
   FormAviso.ShowModal;
   end
   else
   if Pos('is not a valid time', Message) > 0 then
   begin
   SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
   Application.CreateForm(TFormAviso, FormAviso);
   FormAviso.LabelFrase.Caption:='No  uma hora vlida!';
   FormAviso.ShowModal;
   end
   else
   if Pos('is not a valid date', Message) > 0 then
   begin
   SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
   Application.CreateForm(TFormAviso, FormAviso);
   FormAviso.LabelFrase.Caption:='No  uma data vlida!';
   FormAviso.ShowModal;
   end
   else
   Application.ShowException(E);
   end
   else
   Application.ShowException(E);
   end;

procedure TFormAcesso.WMNCHitTest(var M: TWMNCHitTest);
begin
   inherited;
   if M.Result = htCaption  then
   M.Result := htClient;
end;

{$R *.dfm}

Var                 // Variveis Locais
   nVezes:Integer;
   Som,Sair:String;

function TrocaLetra(mNome: string): string;
var
tam,pos1,pos2 : integer ;
pal : string;
begin
tam := Length(mNome);
mNome := TrimRight(mNome) + ' ';
mNome := AnsiUpperCase(mNome);
while True do
begin
pos1:=POS( ' ' , mNome) ;
if pos1 = 0 then
break;
pal := Copy(mNome,1,pos1) ;
pos2 := pos(pal, ' DA - DAS - DE - DO - DOS ');
If pos2 > 0 then
pal :=AnsiLowerCase (pal)
else
pal:=Copy(pal,1,1) + AnsiLowerCase(Copy(pal,2,tam)) ;
result := result + pal ;
mNome := copy(mNome,pos1+1,tam)
end;
end;

procedure TFormAcesso.BTSairClick(Sender: TObject);
begin
   Close;
end;

procedure TFormAcesso.FormShow(Sender: TObject);
begin
   nVezes:=0;
   Sair:='';
   LabelMensagem.Caption:='             Aguardando dados...';

   Application.OnException := AppException;
end;

procedure TFormAcesso.EditSenhaKeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
      If EditSenha.Text='' Then
      Begin
         Key:=#0;
         LabelMensagem.Caption:='              Digite a sua senha!';
         Application.ProcessMessages;
         LabelMensagem.Caption:='             Aguardando dados...';
         EditSenha.SetFocus;
      End
      Else
      Begin
         Key:=#0;

         Module.TBModulos.First;
         Module.TBModulos.locate('Senha',EditSenha.Text,[]);

      If EditSenha.Text=Module.TBModulosSenha.Value Then
      Begin
         LabelMensagem.Caption:='Senha aceita, acessando o sistema...';
         Application.ProcessMessages;
         Sleep(500);

         Usuario:=Module.TBModulosSenha.Value;
         Logado:=Module.TBModulosNome.Value;
         Nome:=TrocaLetra(Module.TBModulosNome.Value);

         FormMenu.PanelUsuario.Visible:=True;
         FormMenu.PanelUsuario.Caption:=Nome;

         If Module.TBModulosClientes.Value='S' Then
         FormMenu.Clientes.Enabled:=True
         Else
         FormMenu.Clientes.Enabled:=False;

         If Module.TBModulosProdutos.Value='S' Then
         FormMenu.Produtos.Enabled:=True
         Else
         FormMenu.Produtos.Enabled:=False;

         If Module.TBModulosEmissao.Value='S' Then
         FormMenu.Emissao.Enabled:=True
         Else
         FormMenu.Emissao.Enabled:=False;

         If Module.TBModulosRegistros.Value='S' Then
         FormMenu.Registros.Enabled:=True
         Else
         FormMenu.Registros.Enabled:=False;

         If Module.TBModulosConsulta.Value='S' Then
         FormMenu.Consulta.Enabled:=True
         Else
         FormMenu.Consulta.Enabled:=False;

         If Module.TBModulosCancelamento.Value='S' Then
         FormMenu.Cancelamento.Enabled:=True
         Else
         FormMenu.Cancelamento.Enabled:=False;

         If Module.TBModulosRelatorio.Value='S' Then
         FormMenu.Relatorio.Enabled:=True
         Else
         FormMenu.Relatorio.Enabled:=False;

         If Module.TBModulosOperacoes.Value='S' Then
         FormMenu.Operacoes.Enabled:=True
         Else
         FormMenu.Operacoes.Enabled:=False;

         LabelMensagem.Caption:='';
         Sair:='S';
         FormAcesso.Close;

         FormMenu.Panel7.Left:=18;
         FormMenu.PanelUsuario.Visible:=True;

         If Logar<>'S' Then
         FormMenu.Show;
      End
      Else
      Begin
         nVezes:=nVezes+1;
         LabelMensagem.Caption:='    Senha invlida para este sistema!';
         Application.ProcessMessages;
         Sleep(1000);
         LabelMensagem.Caption:='             Aguardando dados...';
         EditSenha.Clear;
         EditSenha.SetFocus;
      End;
      If nVezes=3 Then
      Begin
          LabelMensagem.Caption:='    Acesso negado, tente mais tarde!';
          Application.ProcessMessages;
          Sleep(1000);
          LabelMensagem.Caption:='';
          Application.Terminate;
      End;
   End;
end;

procedure TFormAcesso.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   If (Sair<>'S') And (Logar<>'S') Then
   Application.Terminate;
end;

procedure TFormAcesso.FormActivate(Sender: TObject);
begin
   EditSenha.Clear;
end;

end.

