unit UnitDialogo;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TFormDialogo = class(TForm)
    btn1: TButton;
    btn2: TButton;
    Image1: TImage;
    LabelFrase: TLabel;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDialogo: TFormDialogo;

implementation

uses UnitMenu;

{$R *.dfm}

procedure TFormDialogo.btn1Click(Sender: TObject);
begin
   Dialogo:='S';
   Close;
end;

procedure TFormDialogo.btn2Click(Sender: TObject);
begin
   Dialogo:='N';
   Close;
end;

procedure TFormDialogo.FormShow(Sender: TObject);
begin
   Dialogo:='N';
   btn1.SetFocus;
end;

procedure TFormDialogo.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   action:=caFree;
   FormDialogo:=nil;  
end;

end.
