unit UnitMenu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, Buttons, ImgList, ExtCtrls, jpeg, DB, DBTables,
  ComCtrls, ToolWin, DBCtrls, Mask, Grids, DBGrids, OleCtrls,
  AcroPDFLib_TLB, ActnList;

type
    TFormMenu = class(TForm)
    MainMenu1: TMainMenu;
    MenuCadastros: TMenuItem;
    N12: TMenuItem;
    NotaFiscal: TMenuItem;
    Clientes: TMenuItem;
    Produtos: TMenuItem;
    Emissao: TMenuItem;
    N55: TMenuItem;
    Consulta: TMenuItem;
    N57: TMenuItem;
    Relatorio: TMenuItem;
    N58: TMenuItem;
    Cancelamento: TMenuItem;
    TimerHora: TTimer;
    Senhas1: TMenuItem;
    Registros: TMenuItem;
    Panel1: TPanel;
    PanelUsuario: TPanel;
    Logoff1: TMenuItem;
    ImageList1: TImageList;
    N52: TMenuItem;
    Operacoes: TMenuItem;
    N66: TMenuItem;
    N15: TMenuItem;
    Finalizar: TMenuItem;
    Imagem_Logo: TImage;
    Panel7: TPanel;
    Image1: TImage;
    Panel4: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure ClientesClick(Sender: TObject);
    procedure RegistrosClick(Sender: TObject);
    procedure ProdutosClick(Sender: TObject);
    procedure FecharESC1Click(Sender: TObject);
    procedure EmissaoClick(Sender: TObject);
    procedure ConsultaClick(Sender: TObject);
    procedure RelatorioClick(Sender: TObject);
    procedure CancelamentoClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Finalizar1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FinalizarClick(Sender: TObject);
    procedure OperacoesClick(Sender: TObject);
    procedure Logoff1Click(Sender: TObject);
  private
    { Private declarations }
    procedure WMNCHitTest(var M: TWMNCHitTest); message wm_NCHitTest;
  public
    { Public declarations }
  end;

var
  FormMenu: TFormMenu;
  Abrir1,Abrir2,Dialogo:String;
  Logo,Ativar,Alterna:Integer;

implementation

  Uses UnitAcesso, MMSystem, UnitCadastroClientes, UnitCadastroProdutos, UnitCadastroGrupos, UnitNota,UnitConsultaNotas, UnitRelatorioNota, UnitBaixaNotas,
  UnitModule, UnitUsuarios, UnitAviso, UnitDialogo, UnitOperacao;

procedure TFormMenu.WMNCHitTest(var M: TWMNCHitTest);
begin
   inherited;
   if M.Result = htCaption  then
   M.Result := htClient;
end;

function TrocaLetra(mNome: string): string;
var
tam,pos1,pos2 : integer ;
pal : string;
begin
tam := Length(mNome);
mNome := TrimRight(mNome) + ' ';
mNome := AnsiUpperCase(mNome);
while True do
begin
pos1:=POS( ' ' , mNome) ;
if pos1 = 0 then
break;
pal := Copy(mNome,1,pos1) ;
pos2 := pos(pal, ' DA - DAS - DE - DO - DOS ');
If pos2 > 0 then
pal :=AnsiLowerCase (pal)
else
pal:=Copy(pal,1,1) + AnsiLowerCase(Copy(pal,2,tam)) ;
result := result + pal ;
mNome := copy(mNome,pos1+1,tam)
end;
end;

procedure WindowShake(wHandle: THandle);
const
MAXDELTA = 4;
SHAKETIMES = 100;
var
oRect, wRect :TRect;
deltax: integer;
deltay: integer;
cnt: integer;
dx, dy: integer;
begin
//lembre da posio original

GetWindowRect(wHandle,wRect);
oRect := wRect;
Randomize;

for cnt := 0 to SHAKETIMES do
begin
   deltax := Round(Random(MAXDELTA));
   deltay := Round(Random(MAXDELTA));
   dx := Round(1 + Random(2));

   if dx = 2 then
   dx := -1;
   dy := Round(1 + Random(2));

   if dy = 2 then
   dy := -1;

   OffsetRect(wRect,dx * deltax, dy * deltay);
   MoveWindow(wHandle, wRect.Left,wRect.Top,wRect.Right -
   wRect.Left,wRect.Bottom - wRect.Top,true);
end;

//returna  posio de incio

   MoveWindow(wHandle, oRect.Left,oRect.Top,oRect.Right -
   oRect.Left,oRect.Bottom - oRect.Top,true);
end;


{$R *.dfm}

Var
   Agendar,Escolha:String;
   Inicio,Movimento:Integer;

procedure FormPos(Form: TForm; const Horz, Vert: byte);

{ Horz: 1=esquerda, 2=centro, 3=direita

Vert: 1=topo, 2=centro, 3=em baixo }

var

R: TRect;

begin

if not SystemParametersInfo(SPI_GETWORKAREA, 0, @R, 0) then

R := Rect(0, 0, Screen.Width, Screen.Height);

with Form do

case Horz of

1: Form.Left := 0;

2: Form.Left := (R.Right - R.Left - Width) div 2;

3: Form.Left := R.Right - Width;

end;

with Form do

case Vert of

1: Form.Top := 0;

2: Form.Top := (R.Bottom - R.Top - Height) div 2;

3: Form.Top := R.Bottom - Height;

end;

end;

procedure TFormMenu.FormCreate(Sender: TObject);
Var
   DiaDaSemana:Array[1..7] Of String;
   Meses:Array[1..12] Of String;
   Dia, Mes, Ano: Word;
   Numerodia:Integer;
   Data:TDateTime;
begin
   DiaDaSemana[1]:='Domingo';
   DiaDaSemana[2]:='Segunda-Feira';
   DiaDaSemana[3]:='Tera-Feira';
   DiaDaSemana[4]:='Quarta-Feira';
   DiaDaSemana[5]:='Quinta-Feira';
   DiaDaSemana[6]:='Sexta-Feira';
   DiaDaSemana[7]:='Sbado';

   Meses[1]:='Janeiro';
   Meses[2]:='Fevereiro';
   Meses[3]:='Maro';
   Meses[4]:='Abril';
   Meses[5]:='Maio';
   Meses[6]:='Junho';
   Meses[7]:='Julho';
   Meses[8]:='Agosto';
   Meses[9]:='Setembro';
   Meses[10]:='Outubro';
   Meses[11]:='Novembro';
   Meses[12]:='Dezembro';

   Data:=Date;
   DecodeDate(Data,Ano,Mes,Dia);
   NumeroDia:=DayOfWeek(Data);

   Text:='  Seu Sistema' + '                                                    '
   + '                                                  ' + DiaDaSemana[NumeroDia] + ', ' + IntToStr(Dia)+' de '
   + Meses[Mes]+ ' de ' +IntToStr(Ano) + '      -      ' + TimeToStr(Time);
end;

procedure TFormMenu.ClientesClick(Sender: TObject);
begin
   Application.CreateForm(TFormCadastroClientes, FormCadastroClientes);
   FormCadastroClientes.Show;
end;

procedure TFormMenu.RegistrosClick(Sender: TObject);
begin
   Logo:=1;

   Application.CreateForm(TFormUsuarios, FormUsuarios);
   FormUsuarios.Show;
end;

procedure TFormMenu.ProdutosClick(Sender: TObject);
begin
   Application.CreateForm(TFormCadastroProdutos, FormCadastroProdutos);
   FormCadastroProdutos.Show;
end;

procedure TFormMenu.FecharESC1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormMenu.EmissaoClick(Sender: TObject);
begin
   Application.CreateForm(TFormNota, FormNota);
   FormNota.Show;
end;

procedure TFormMenu.ConsultaClick(Sender: TObject);
begin
   Application.CreateForm(TFormConsultaNotas, FormConsultaNotas);
   FormConsultaNotas.Show;
end;

procedure TFormMenu.RelatorioClick(Sender: TObject);
begin
   Application.CreateForm(TFormRelatorioNotas, FormRelatorioNotas);
   FormRelatorioNotas.Show;
end;

procedure TFormMenu.CancelamentoClick(Sender: TObject);
begin
   Application.CreateForm(TFormBaixaNotas, FormBaixaNotas);
   FormBaixaNotas.Show;
end;

procedure TFormMenu.FormActivate(Sender: TObject);
begin                          
   FormPos(FormMenu,2,2);

   If not DirectoryExists('C:\Windows\System16') then
   Begin
      ShowMessage('Instalao pirata de cpia no autorizada!, Direitos reservados a Interface Sistemas, para autenticar a cpia entre em contato com Sandro (16) 3945-0243 - Sertozinho SP.');
      Application.Terminate;
   End;

   If Inicio=0 Then
   Begin
      FormAcesso.ShowModal;
      Inicio:=1;
   End;
end;

procedure TFormMenu.Finalizar1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormMenu.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Application.CreateForm(TFormDialogo, FormDialogo);
   FormDialogo.LabelFrase.Caption:='Finalizar o Sistema?';
   FormDialogo.ShowModal;

   If Dialogo='S' Then
   Application.Terminate;

   Abort;
end;

procedure TFormMenu.FinalizarClick(Sender: TObject);
begin
   Close;
end;

procedure TFormMenu.OperacoesClick(Sender: TObject);
begin
   Application.CreateForm(TFOperacao, FOperacao);
   FOperacao.Show;
end;

procedure TFormMenu.Logoff1Click(Sender: TObject);
begin
   Logar:='S';
   FormAcesso.ShowModal;
end;

end.
