unit UnitModule;

interface

uses
  SysUtils, Classes, DBTables, DB, ExtCtrls, ActnList;

type
  TModule = class(TDataModule)
    DSBranco: TDataSource;
    QueryClientes: TQuery;
    QueryClientesCODIGO: TIntegerField;
    QueryClientesDATA: TDateField;
    QueryClientesRAZAO_SOCIAL: TStringField;
    QueryClientesENDERECO1: TStringField;
    QueryClientesCEP1: TStringField;
    QueryClientesESTADO1: TStringField;
    QueryClientesCNPJ: TStringField;
    QueryClientesENDERECO2: TStringField;
    QueryClientesCEP2: TStringField;
    QueryClientesESTADO2: TStringField;
    QueryClientesNEGATIVADO: TStringField;
    QueryClientesNEGATIVADO2: TStringField;
    QueryClientesEMAIL: TStringField;
    QueryClientesTELEFONE1: TStringField;
    QueryClientesTELEFONE2: TStringField;
    QueryClientesFAX: TStringField;
    QueryClientesLIMITE: TStringField;
    QueryClientesDISPONIVEL: TStringField;
    QueryClientesUSUARIO: TStringField;
    QueryClientesPRAZO: TStringField;
    QueryClientesDATA_VENDA: TDateField;
    QueryClientesVALOR_VENDA: TStringField;
    QueryClientesTABELA: TStringField;
    QueryClientesCL: TStringField;
    QueryClientesCXPOSTAL: TStringField;
    QueryClientesPRAZOV: TStringField;
    QueryClientesTABELAV: TStringField;
    QueryClientesIPROD: TStringField;
    QueryProdutos: TQuery;
    TBProdutos: TTable;
    TBClientes: TTable;
    TBClientesCODIGO: TAutoIncField;
    TBClientesDATA: TDateField;
    TBClientesRAZAO_SOCIAL: TStringField;
    TBClientesENDERECO1: TStringField;
    TBClientesCEP1: TStringField;
    TBClientesESTADO1: TStringField;
    TBClientesCNPJ: TStringField;
    TBClientesENDERECO2: TStringField;
    TBClientesCEP2: TStringField;
    TBClientesESTADO2: TStringField;
    TBClientesNEGATIVADO: TStringField;
    TBClientesNEGATIVADO2: TStringField;
    TBClientesEMAIL: TStringField;
    TBClientesTELEFONE1: TStringField;
    TBClientesTELEFONE2: TStringField;
    TBClientesFAX: TStringField;
    TBClientesLIMITE: TStringField;
    TBClientesDISPONIVEL: TStringField;
    TBClientesUSUARIO: TStringField;
    TBClientesPRAZO: TStringField;
    TBClientesDATA_VENDA: TDateField;
    TBClientesVALOR_VENDA: TStringField;
    TBClientesTABELA: TStringField;
    TBClientesCL: TStringField;
    TBClientesCXPOSTAL: TStringField;
    TBClientesPRAZOV: TStringField;
    TBClientesTABELAV: TStringField;
    TBClientesIPROD: TStringField;
    DSClientes: TDataSource;
    DSProdutos: TDataSource;
    DSConsultaClientes: TDataSource;
    DSConsultaProdutos: TDataSource;
    TBGrupos: TTable;
    TBGruposGRUPOS: TStringField;
    TBSubGrupos: TTable;
    TBSubGruposSUBGRUPOS: TStringField;
    DSGrupos: TDataSource;
    DSSubGrupos: TDataSource;
    TBNota: TTable;
    TBNotaINCREMENTO: TAutoIncField;
    TBNotaNUMERO: TStringField;
    TBNotaHORA: TTimeField;
    TBNotaDATA1: TDateField;
    TBNotaDATA2: TDateField;
    TBNotaENTRADA: TStringField;
    TBNotaSAIDA: TStringField;
    TBNotaESTADUAL: TStringField;
    TBNotaINTERESTADUAL: TStringField;
    TBNotaCFOP: TStringField;
    TBNotaCODIGO: TFloatField;
    TBNotaRAZAO: TStringField;
    TBNotaENDERECO: TStringField;
    TBNotaCEP: TStringField;
    TBNotaFONE: TStringField;
    TBNotaESTADO: TStringField;
    TBNotaCNPJ: TStringField;
    TBNotaICMSBASE: TFloatField;
    TBNotaICMS12: TFloatField;
    TBNotaICMS18: TFloatField;
    TBNotaICMSTOTAL: TFloatField;
    TBNotaTOTALNOTA: TFloatField;
    TBNotaTOTALPRODUTOS: TFloatField;
    TBNotaBOLETO: TStringField;
    TBNotaFRETE: TFloatField;
    TBNotaPLACA: TStringField;
    TBNotaUF1: TStringField;
    TBNotaCNPJT: TStringField;
    TBNotaMUNICIPIOT: TStringField;
    TBNotaUF2: TStringField;
    TBNotaINSCRICAOT: TStringField;
    TBNotaESPECIE: TStringField;
    TBNotaVENCIMENTO1: TDateField;
    TBNotaVENCIMENTO2: TDateField;
    TBNotaVENCIMENTO3: TDateField;
    TBNotaPESOLIQUIDO: TStringField;
    TBNotaTRANSPORTES: TStringField;
    TBNotaENDERECOT: TStringField;
    TBNotaFISCO1: TStringField;
    TBNotaFISCO2: TStringField;
    TBNotaFISCO3: TStringField;
    TBNotaFISCO4: TStringField;
    TBNotaFISCO5: TStringField;
    TBNotaCODPROD1: TFloatField;
    TBNotaCODPROD2: TFloatField;
    TBNotaCODPROD3: TFloatField;
    TBNotaCODPROD4: TFloatField;
    TBNotaCODPROD5: TFloatField;
    TBNotaCODPROD6: TFloatField;
    TBNotaCODPROD7: TFloatField;
    TBNotaCODPROD8: TFloatField;
    TBNotaCODPROD9: TFloatField;
    TBNotaCODPROD10: TFloatField;
    TBNotaCODPROD11: TFloatField;
    TBNotaCODPROD12: TFloatField;
    TBNotaCODPROD13: TFloatField;
    TBNotaCODPROD14: TFloatField;
    TBNotaCODPROD15: TFloatField;
    TBNotaCODPROD16: TFloatField;
    TBNotaCODPROD17: TFloatField;
    TBNotaPRODUTO1: TStringField;
    TBNotaPRODUTO2: TStringField;
    TBNotaPRODUTO3: TStringField;
    TBNotaPRODUTO4: TStringField;
    TBNotaPRODUTO5: TStringField;
    TBNotaPRODUTO6: TStringField;
    TBNotaPRODUTO7: TStringField;
    TBNotaPRODUTO8: TStringField;
    TBNotaPRODUTO9: TStringField;
    TBNotaPRODUTO10: TStringField;
    TBNotaPRODUTO11: TStringField;
    TBNotaPRODUTO12: TStringField;
    TBNotaPRODUTO13: TStringField;
    TBNotaPRODUTO14: TStringField;
    TBNotaPRODUTO15: TStringField;
    TBNotaPRODUTO16: TStringField;
    TBNotaPRODUTO17: TStringField;
    TBNotaPRECO1: TFloatField;
    TBNotaPRECO2: TFloatField;
    TBNotaPRECO3: TFloatField;
    TBNotaPRECO4: TFloatField;
    TBNotaPRECO5: TFloatField;
    TBNotaPRECO6: TFloatField;
    TBNotaPRECO7: TFloatField;
    TBNotaPRECO8: TFloatField;
    TBNotaPRECO9: TFloatField;
    TBNotaPRECO10: TFloatField;
    TBNotaPRECO11: TFloatField;
    TBNotaPRECO12: TFloatField;
    TBNotaPRECO13: TFloatField;
    TBNotaPRECO14: TFloatField;
    TBNotaPRECO15: TFloatField;
    TBNotaPRECO16: TFloatField;
    TBNotaPRECO17: TFloatField;
    TBNotaTOTAL1: TFloatField;
    TBNotaTOTAL2: TFloatField;
    TBNotaTOTAL3: TFloatField;
    TBNotaTOTAL4: TFloatField;
    TBNotaTOTAL5: TFloatField;
    TBNotaTOTAL6: TFloatField;
    TBNotaTOTAL7: TFloatField;
    TBNotaTOTAL8: TFloatField;
    TBNotaTOTAL9: TFloatField;
    TBNotaTOTAL10: TFloatField;
    TBNotaTOTAL11: TFloatField;
    TBNotaTOTAL12: TFloatField;
    TBNotaTOTAL13: TFloatField;
    TBNotaTOTAL14: TFloatField;
    TBNotaTOTAL15: TFloatField;
    TBNotaTOTAL16: TFloatField;
    TBNotaTOTAL17: TFloatField;
    TBNotaICM1: TFloatField;
    TBNotaICM2: TFloatField;
    TBNotaICM3: TFloatField;
    TBNotaICM4: TFloatField;
    TBNotaICM5: TFloatField;
    TBNotaICM6: TFloatField;
    TBNotaICM7: TFloatField;
    TBNotaICM8: TFloatField;
    TBNotaICM9: TFloatField;
    TBNotaICM10: TFloatField;
    TBNotaICM11: TFloatField;
    TBNotaICM12: TFloatField;
    TBNotaICM13: TFloatField;
    TBNotaICM14: TFloatField;
    TBNotaICM15: TFloatField;
    TBNotaICM16: TFloatField;
    TBNotaICM17: TFloatField;
    TBNotaUNIDADE1: TStringField;
    TBNotaUNIDADE2: TStringField;
    TBNotaUNIDADE3: TStringField;
    TBNotaUNIDADE4: TStringField;
    TBNotaUNIDADE5: TStringField;
    TBNotaUNIDADE6: TStringField;
    TBNotaUNIDADE7: TStringField;
    TBNotaUNIDADE8: TStringField;
    TBNotaUNIDADE9: TStringField;
    TBNotaUNIDADE10: TStringField;
    TBNotaUNIDADE11: TStringField;
    TBNotaUNIDADE12: TStringField;
    TBNotaUNIDADE13: TStringField;
    TBNotaUNIDADE14: TStringField;
    TBNotaUNIDADE15: TStringField;
    TBNotaUNIDADE16: TStringField;
    TBNotaUNIDADE17: TStringField;
    TBNotaQUANTIDADE1: TStringField;
    TBNotaQUANTIDADE2: TStringField;
    TBNotaQUANTIDADE3: TStringField;
    TBNotaQUANTIDADE4: TStringField;
    TBNotaQUANTIDADE5: TStringField;
    TBNotaQUANTIDADE6: TStringField;
    TBNotaQUANTIDADE7: TStringField;
    TBNotaQUANTIDADE8: TStringField;
    TBNotaQUANTIDADE9: TStringField;
    TBNotaQUANTIDADE10: TStringField;
    TBNotaQUANTIDADE11: TStringField;
    TBNotaQUANTIDADE12: TStringField;
    TBNotaQUANTIDADE13: TStringField;
    TBNotaQUANTIDADE14: TStringField;
    TBNotaQUANTIDADE15: TStringField;
    TBNotaQUANTIDADE16: TStringField;
    TBNotaQUANTIDADE17: TStringField;
    TBNotaOBSERVACAO: TStringField;
    TBNotaQUANTIDADET: TStringField;
    DSNota: TDataSource;
    TBProdutosCODIGO: TAutoIncField;
    TBProdutosDESCRICAO: TStringField;
    TBProdutosUNIDADE: TStringField;
    TBProdutosFAMILIA: TStringField;
    TBProdutosGRUPOS: TStringField;
    TBProdutosDATA: TDateField;
    TBProdutosSUBGRUPOS: TStringField;
    TBProdutosMETRO: TStringField;
    TBProdutosBARRA: TStringField;
    TBProdutosICMS: TStringField;
    TBProdutosMAXIMO: TStringField;
    TBProdutosMINIMO: TStringField;
    TBProdutosIDEAL: TStringField;
    TBProdutosATUAL: TStringField;
    TBProdutosP_COMPRA: TFloatField;
    TBProdutosP_VENDA: TFloatField;
    TBProdutosP_VENDAB: TFloatField;
    TBProdutosP_VENDAC: TFloatField;
    TBProdutosFORNEC1: TStringField;
    TBProdutosFORNEC2: TStringField;
    TBProdutosFORNEC3: TStringField;
    TBProdutosUSUARIO: TStringField;
    TBProdutosNEGATIVADO: TStringField;
    TBProdutosCLASFISCAL: TStringField;
    TBProdutosP_METRO: TFloatField;
    TBProdutosP_BARRA: TFloatField;
    TBProdutosQ_BARRAS: TFloatField;
    TBProdutosDATA_MOV: TDateField;
    TBProdutosQUANT_MOV: TStringField;
    TBProdutosCODPROD: TFloatField;
    QueryProdutosCODIGO: TIntegerField;
    QueryProdutosDESCRICAO: TStringField;
    QueryProdutosUNIDADE: TStringField;
    QueryProdutosFAMILIA: TStringField;
    QueryProdutosGRUPOS: TStringField;
    QueryProdutosDATA: TDateField;
    QueryProdutosSUBGRUPOS: TStringField;
    QueryProdutosMETRO: TStringField;
    QueryProdutosBARRA: TStringField;
    QueryProdutosICMS: TStringField;
    QueryProdutosMAXIMO: TStringField;
    QueryProdutosMINIMO: TStringField;
    QueryProdutosIDEAL: TStringField;
    QueryProdutosATUAL: TStringField;
    QueryProdutosP_COMPRA: TFloatField;
    QueryProdutosP_VENDA: TFloatField;
    QueryProdutosP_VENDAB: TFloatField;
    QueryProdutosP_VENDAC: TFloatField;
    QueryProdutosFORNEC1: TStringField;
    QueryProdutosFORNEC2: TStringField;
    QueryProdutosFORNEC3: TStringField;
    QueryProdutosUSUARIO: TStringField;
    QueryProdutosNEGATIVADO: TStringField;
    QueryProdutosCLASFISCAL: TStringField;
    QueryProdutosP_METRO: TFloatField;
    QueryProdutosP_BARRA: TFloatField;
    QueryProdutosQ_BARRAS: TFloatField;
    QueryProdutosDATA_MOV: TDateField;
    QueryProdutosQUANT_MOV: TStringField;
    TBProdutosDATA_VENDA: TDateField;
    TBProdutosQUANT_VENDA: TStringField;
    TBProdutosDATA_COMPRA: TDateField;
    TBProdutosQUANT_COMPRA: TStringField;
    QueryProdutosDATA_VENDA: TDateField;
    QueryProdutosQUANT_VENDA: TStringField;
    QueryProdutosDATA_COMPRA: TDateField;
    QueryProdutosQUANT_COMPRA: TStringField;
    TBClientesDATA_MOV: TDateField;
    TBClientesVALOR_MOV: TStringField;
    QueryClientesDATA_MOV: TDateField;
    QueryClientesVALOR_MOV: TStringField;
    TBProdutosCODFABRICA: TStringField;
    QueryProdutosCODPROD: TFloatField;
    QueryProdutosCODFABRICA: TStringField;
    TBProdutosOBSERVA: TMemoField;
    QueryProdutosOBSERVA: TMemoField;
    TBClientesCODCLIE: TFloatField;
    QueryClientesCODCLIE: TFloatField;
    TBNotaDESTINO: TStringField;
    TBNotaITENS1: TFloatField;
    TBNotaITENS2: TFloatField;
    TBNotaITENS3: TFloatField;
    TBNotaITENS4: TFloatField;
    TBNotaITENS5: TFloatField;
    TBNotaITENS6: TFloatField;
    TBNotaITENS7: TFloatField;
    TBNotaITENS8: TFloatField;
    TBNotaITENS9: TFloatField;
    TBNotaITENS10: TFloatField;
    TBNotaITENS11: TFloatField;
    TBNotaITENS12: TFloatField;
    TBNotaITENS13: TFloatField;
    TBNotaITENS14: TFloatField;
    TBNotaITENS15: TFloatField;
    TBNotaITENS16: TFloatField;
    TBNotaITENS17: TFloatField;
    TBClientesIE: TStringField;
    QueryClientesIE: TStringField;
    TBNotaINSCRICAO: TStringField;
    TBProdutosESPECIAL: TStringField;
    QueryProdutosESPECIAL: TStringField;
    TBProdutosFATOR: TStringField;
    QueryProdutosFATOR: TStringField;
    TBClientesCONTATO: TStringField;
    QueryClientesCONTATO: TStringField;
    TBNotaUSUARIO: TStringField;
    TBProdutosACERTO: TStringField;
    QueryProdutosACERTO: TStringField;
    TBNotaVALOR1: TStringField;
    TBNotaVALOR2: TStringField;
    TBNotaVALOR3: TStringField;
    TBProdutosP_MEDIO: TFloatField;
    QueryProdutosP_MEDIO: TFloatField;
    Session1: TSession;
    Database1: TDatabase;
    TBClientesCAPITAL: TFloatField;
    QueryClientesCAPITAL: TFloatField;
    TBClientesHISTORICO: TMemoField;
    QueryClientesHISTORICO: TMemoField;
    QueryNotas: TQuery;
    QueryNotasINCREMENTO: TIntegerField;
    QueryNotasNUMERO: TStringField;
    QueryNotasHORA: TTimeField;
    QueryNotasDATA1: TDateField;
    QueryNotasDATA2: TDateField;
    QueryNotasENTRADA: TStringField;
    QueryNotasSAIDA: TStringField;
    QueryNotasESTADUAL: TStringField;
    QueryNotasINTERESTADUAL: TStringField;
    QueryNotasCFOP: TStringField;
    QueryNotasCODIGO: TFloatField;
    QueryNotasRAZAO: TStringField;
    QueryNotasENDERECO: TStringField;
    QueryNotasCEP: TStringField;
    QueryNotasFONE: TStringField;
    QueryNotasESTADO: TStringField;
    QueryNotasCNPJ: TStringField;
    QueryNotasINSCRICAO: TStringField;
    QueryNotasICMSBASE: TFloatField;
    QueryNotasICMS12: TFloatField;
    QueryNotasICMS18: TFloatField;
    QueryNotasICMSTOTAL: TFloatField;
    QueryNotasTOTALNOTA: TFloatField;
    QueryNotasTOTALPRODUTOS: TFloatField;
    QueryNotasBOLETO: TStringField;
    QueryNotasTRANSPORTES: TStringField;
    QueryNotasFRETE: TFloatField;
    QueryNotasPLACA: TStringField;
    QueryNotasUF1: TStringField;
    QueryNotasCNPJT: TStringField;
    QueryNotasENDERECOT: TStringField;
    QueryNotasMUNICIPIOT: TStringField;
    QueryNotasUF2: TStringField;
    QueryNotasINSCRICAOT: TStringField;
    QueryNotasQUANTIDADET: TStringField;
    QueryNotasESPECIE: TStringField;
    QueryNotasPESOLIQUIDO: TStringField;
    QueryNotasVENCIMENTO1: TDateField;
    QueryNotasVENCIMENTO2: TDateField;
    QueryNotasVENCIMENTO3: TDateField;
    QueryNotasVALOR1: TStringField;
    QueryNotasVALOR2: TStringField;
    QueryNotasVALOR3: TStringField;
    QueryNotasFISCO1: TStringField;
    QueryNotasFISCO2: TStringField;
    QueryNotasFISCO3: TStringField;
    QueryNotasFISCO4: TStringField;
    QueryNotasFISCO5: TStringField;
    QueryNotasCODPROD1: TFloatField;
    QueryNotasCODPROD2: TFloatField;
    QueryNotasCODPROD3: TFloatField;
    QueryNotasCODPROD4: TFloatField;
    QueryNotasCODPROD5: TFloatField;
    QueryNotasCODPROD6: TFloatField;
    QueryNotasCODPROD7: TFloatField;
    QueryNotasCODPROD8: TFloatField;
    QueryNotasCODPROD9: TFloatField;
    QueryNotasCODPROD10: TFloatField;
    QueryNotasCODPROD11: TFloatField;
    QueryNotasCODPROD12: TFloatField;
    QueryNotasCODPROD13: TFloatField;
    QueryNotasCODPROD14: TFloatField;
    QueryNotasCODPROD15: TFloatField;
    QueryNotasCODPROD16: TFloatField;
    QueryNotasCODPROD17: TFloatField;
    QueryNotasPRODUTO1: TStringField;
    QueryNotasPRODUTO2: TStringField;
    QueryNotasPRODUTO3: TStringField;
    QueryNotasPRODUTO4: TStringField;
    QueryNotasPRODUTO5: TStringField;
    QueryNotasPRODUTO6: TStringField;
    QueryNotasPRODUTO7: TStringField;
    QueryNotasPRODUTO8: TStringField;
    QueryNotasPRODUTO9: TStringField;
    QueryNotasPRODUTO10: TStringField;
    QueryNotasPRODUTO11: TStringField;
    QueryNotasPRODUTO12: TStringField;
    QueryNotasPRODUTO13: TStringField;
    QueryNotasPRODUTO14: TStringField;
    QueryNotasPRODUTO15: TStringField;
    QueryNotasPRODUTO16: TStringField;
    QueryNotasPRODUTO17: TStringField;
    QueryNotasUNIDADE1: TStringField;
    QueryNotasUNIDADE2: TStringField;
    QueryNotasUNIDADE3: TStringField;
    QueryNotasUNIDADE4: TStringField;
    QueryNotasUNIDADE5: TStringField;
    QueryNotasUNIDADE6: TStringField;
    QueryNotasUNIDADE7: TStringField;
    QueryNotasUNIDADE8: TStringField;
    QueryNotasUNIDADE9: TStringField;
    QueryNotasUNIDADE10: TStringField;
    QueryNotasUNIDADE11: TStringField;
    QueryNotasUNIDADE12: TStringField;
    QueryNotasUNIDADE13: TStringField;
    QueryNotasUNIDADE14: TStringField;
    QueryNotasUNIDADE15: TStringField;
    QueryNotasUNIDADE16: TStringField;
    QueryNotasUNIDADE17: TStringField;
    QueryNotasQUANTIDADE1: TStringField;
    QueryNotasQUANTIDADE2: TStringField;
    QueryNotasQUANTIDADE3: TStringField;
    QueryNotasQUANTIDADE4: TStringField;
    QueryNotasQUANTIDADE5: TStringField;
    QueryNotasQUANTIDADE6: TStringField;
    QueryNotasQUANTIDADE7: TStringField;
    QueryNotasQUANTIDADE8: TStringField;
    QueryNotasQUANTIDADE9: TStringField;
    QueryNotasQUANTIDADE10: TStringField;
    QueryNotasQUANTIDADE11: TStringField;
    QueryNotasQUANTIDADE12: TStringField;
    QueryNotasQUANTIDADE13: TStringField;
    QueryNotasQUANTIDADE14: TStringField;
    QueryNotasQUANTIDADE15: TStringField;
    QueryNotasQUANTIDADE16: TStringField;
    QueryNotasQUANTIDADE17: TStringField;
    QueryNotasPRECO1: TFloatField;
    QueryNotasPRECO2: TFloatField;
    QueryNotasPRECO3: TFloatField;
    QueryNotasPRECO4: TFloatField;
    QueryNotasPRECO5: TFloatField;
    QueryNotasPRECO6: TFloatField;
    QueryNotasPRECO7: TFloatField;
    QueryNotasPRECO8: TFloatField;
    QueryNotasPRECO9: TFloatField;
    QueryNotasPRECO10: TFloatField;
    QueryNotasPRECO11: TFloatField;
    QueryNotasPRECO12: TFloatField;
    QueryNotasPRECO13: TFloatField;
    QueryNotasPRECO14: TFloatField;
    QueryNotasPRECO15: TFloatField;
    QueryNotasPRECO16: TFloatField;
    QueryNotasPRECO17: TFloatField;
    QueryNotasTOTAL1: TFloatField;
    QueryNotasTOTAL2: TFloatField;
    QueryNotasTOTAL3: TFloatField;
    QueryNotasTOTAL4: TFloatField;
    QueryNotasTOTAL5: TFloatField;
    QueryNotasTOTAL6: TFloatField;
    QueryNotasTOTAL7: TFloatField;
    QueryNotasTOTAL8: TFloatField;
    QueryNotasTOTAL9: TFloatField;
    QueryNotasTOTAL10: TFloatField;
    QueryNotasTOTAL11: TFloatField;
    QueryNotasTOTAL12: TFloatField;
    QueryNotasTOTAL13: TFloatField;
    QueryNotasTOTAL14: TFloatField;
    QueryNotasTOTAL15: TFloatField;
    QueryNotasTOTAL16: TFloatField;
    QueryNotasTOTAL17: TFloatField;
    QueryNotasICM1: TFloatField;
    QueryNotasICM2: TFloatField;
    QueryNotasICM3: TFloatField;
    QueryNotasICM4: TFloatField;
    QueryNotasICM5: TFloatField;
    QueryNotasICM6: TFloatField;
    QueryNotasICM7: TFloatField;
    QueryNotasICM8: TFloatField;
    QueryNotasICM9: TFloatField;
    QueryNotasICM10: TFloatField;
    QueryNotasICM11: TFloatField;
    QueryNotasICM12: TFloatField;
    QueryNotasICM13: TFloatField;
    QueryNotasICM14: TFloatField;
    QueryNotasICM15: TFloatField;
    QueryNotasICM16: TFloatField;
    QueryNotasICM17: TFloatField;
    QueryNotasOBSERVACAO: TStringField;
    QueryNotasDESTINO: TStringField;
    QueryNotasITENS1: TFloatField;
    QueryNotasITENS2: TFloatField;
    QueryNotasITENS3: TFloatField;
    QueryNotasITENS4: TFloatField;
    QueryNotasITENS5: TFloatField;
    QueryNotasITENS6: TFloatField;
    QueryNotasITENS7: TFloatField;
    QueryNotasITENS8: TFloatField;
    QueryNotasITENS9: TFloatField;
    QueryNotasITENS10: TFloatField;
    QueryNotasITENS11: TFloatField;
    QueryNotasITENS12: TFloatField;
    QueryNotasITENS13: TFloatField;
    QueryNotasITENS14: TFloatField;
    QueryNotasITENS15: TFloatField;
    QueryNotasITENS16: TFloatField;
    QueryNotasITENS17: TFloatField;
    QueryNotasUSUARIO: TStringField;
    DSConsultaNotas: TDataSource;
    TBNotaOPERACAO: TStringField;
    QueryNotasOPERACAO: TStringField;
    TBNotaCALCULO: TFloatField;
    QueryNotasCALCULO: TFloatField;
    QueryNotasCLASFISCAL1: TStringField;
    QueryNotasCLASFISCAL2: TStringField;
    QueryNotasCLASFISCAL3: TStringField;
    QueryNotasCLASFISCAL4: TStringField;
    QueryNotasCLASFISCAL5: TStringField;
    QueryNotasCLASFISCAL6: TStringField;
    QueryNotasCLASFISCAL7: TStringField;
    QueryNotasCLASFISCAL8: TStringField;
    QueryNotasCLASFISCAL9: TStringField;
    QueryNotasCLASFISCAL10: TStringField;
    QueryNotasCLASFISCAL11: TStringField;
    QueryNotasCLASFISCAL12: TStringField;
    QueryNotasCLASFISCAL13: TStringField;
    QueryNotasCLASFISCAL14: TStringField;
    QueryNotasCLASFISCAL15: TStringField;
    QueryNotasCLASFISCAL16: TStringField;
    QueryNotasCLASFISCAL17: TStringField;
    TBNotaCLASFISCAL1: TStringField;
    TBNotaCLASFISCAL2: TStringField;
    TBNotaCLASFISCAL3: TStringField;
    TBNotaCLASFISCAL4: TStringField;
    TBNotaCLASFISCAL5: TStringField;
    TBNotaCLASFISCAL6: TStringField;
    TBNotaCLASFISCAL7: TStringField;
    TBNotaCLASFISCAL8: TStringField;
    TBNotaCLASFISCAL9: TStringField;
    TBNotaCLASFISCAL10: TStringField;
    TBNotaCLASFISCAL11: TStringField;
    TBNotaCLASFISCAL12: TStringField;
    TBNotaCLASFISCAL13: TStringField;
    TBNotaCLASFISCAL14: TStringField;
    TBNotaCLASFISCAL15: TStringField;
    TBNotaCLASFISCAL16: TStringField;
    TBNotaCLASFISCAL17: TStringField;
    TBNotaVALOR4: TStringField;
    TBNotaVENCIMENTO4: TDateField;
    QueryNotasVALOR4: TStringField;
    QueryNotasVENCIMENTO4: TDateField;
    TBNotaMENSAGEM1: TStringField;
    TBNotaMENSAGEM2: TStringField;
    TBNotaMENSAGEM3: TStringField;
    TBNotaMENSAGEM4: TStringField;
    TBNotaREFERE1: TStringField;
    TBNotaREFERE2: TStringField;
    QueryNotasMENSAGEM1: TStringField;
    QueryNotasMENSAGEM2: TStringField;
    QueryNotasMENSAGEM3: TStringField;
    QueryNotasMENSAGEM4: TStringField;
    QueryNotasREFERE1: TStringField;
    QueryNotasREFERE2: TStringField;
    TBIbge: TTable;
    DSIbge: TDataSource;
    TBIbgeCODIGO: TAutoIncField;
    TBIbgeID: TStringField;
    TBIbgeCUF: TStringField;
    TBIbgeSUF: TStringField;
    TBIbgeCMUNICIPIO: TStringField;
    TBIbgeDMUNICIPIO: TStringField;
    TBClientesIBGE: TStringField;
    QueryClientesIBGE: TStringField;
    TBNotaIBGE: TStringField;
    QueryNotasIBGE: TStringField;
    TBNotaEMAIL: TStringField;
    QueryNotasEMAIL: TStringField;
    TBNumNotaE: TTable;
    DSNumNotaE: TDataSource;
    TBNumNotaECodigo: TAutoIncField;
    TBNumNotaENumero: TFloatField;
    TBClientesBAIRRO1: TStringField;
    TBClientesCIDADE1: TStringField;
    TBClientesBAIRRO2: TStringField;
    TBClientesCIDADE2: TStringField;
    QueryClientesBAIRRO1: TStringField;
    QueryClientesCIDADE1: TStringField;
    QueryClientesBAIRRO2: TStringField;
    QueryClientesCIDADE2: TStringField;
    TBNotaBAIRRO: TStringField;
    TBNotaCIDADE: TStringField;
    QueryNotasBAIRRO: TStringField;
    QueryNotasCIDADE: TStringField;
    TBModulos: TTable;
    DSModulos: TDataSource;
    TBModulos2: TTable;
    DSModulos2: TDataSource;
    TBFamilia: TTable;
    TBFamiliaFAMILIA: TStringField;
    DSFamilia: TDataSource;
    TBOperacao: TTable;
    TBOperacaoCodigo: TAutoIncField;
    TBOperacaoCfop: TStringField;
    TBOperacaoOperacao: TStringField;
    TBOperacaoEstado: TStringField;
    TBOperacaoUsuario: TStringField;
    DSOperacao: TDataSource;
    TBModulosCODIGO: TAutoIncField;
    TBModulosDATA: TDateField;
    TBModulosNOME: TStringField;
    TBModulosSENHA: TStringField;
    TBModulosCLIENTES: TStringField;
    TBModulosPRODUTOS: TStringField;
    TBModulosREGISTROS: TStringField;
    TBModulosEMISSAO: TStringField;
    TBModulosCONSULTA: TStringField;
    TBModulosCANCELAMENTO: TStringField;
    TBModulosRELATORIO: TStringField;
    TBModulosOPERACOES: TStringField;
    TBModulosUSUARIO: TStringField;
    TBModulos2CODIGO: TAutoIncField;
    TBModulos2DATA: TDateField;
    TBModulos2NOME: TStringField;
    TBModulos2SENHA: TStringField;
    TBModulos2CLIENTES: TStringField;
    TBModulos2PRODUTOS: TStringField;
    TBModulos2REGISTROS: TStringField;
    TBModulos2EMISSAO: TStringField;
    TBModulos2CONSULTA: TStringField;
    TBModulos2CANCELAMENTO: TStringField;
    TBModulos2RELATORIO: TStringField;
    TBModulos2OPERACOES: TStringField;
    TBModulos2USUARIO: TStringField;
    procedure DataModuleCreate(Sender: TObject);
    procedure TBModulos2AfterScroll(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Module: TModule;

implementation

uses UnitMenu, UnitUsuarios, UnitAcesso, UnitCadastroProdutos;

{$R *.dfm}

procedure TModule.DataModuleCreate(Sender: TObject);
var
  i: integer;
begin
  for i := 0 to self.ComponentCount-1 do
  begin
    if self.Components[i].ClassName = 'TTable' then
    begin
      TTable(Self.Components[i]).DatabaseName := 'Dados';
      TTable(Self.Components[i]).SessionName := 'Sessao';
    end;
    if self.Components[i].ClassName = 'TQuery' then
    begin
      TQuery(Self.Components[i]).DatabaseName := 'Dados';
      TQuery(Self.Components[i]).SessionName := 'Sessao';
    end;

  end;

  self.Session1.Active := true;

  for i := 0 to self.ComponentCount-1 do
  begin
    if self.Components[i].ClassName = 'TTable' then
    begin
      TTable(Self.Components[i]).Open;
    end;
  end;
end;

procedure TModule.TBModulos2AfterScroll(DataSet: TDataSet);
begin
   If Logo=1 Then
   Begin
      If TBModulos2Clientes.Value='S' Then
      FormUsuarios.CheckBox1.Checked:=True
      Else
      FormUsuarios.CheckBox1.Checked:=False;

      If TBModulos2Produtos.Value='S' Then
      FormUsuarios.CheckBox2.Checked:=True
      Else
      FormUsuarios.CheckBox2.Checked:=False;

      If TBModulos2Emissao.Value='S' Then
      FormUsuarios.CheckBox3.Checked:=True
      Else
      FormUsuarios.CheckBox3.Checked:=False;

      If TBModulos2Registros.Value='S' Then
      FormUsuarios.CheckBox4.Checked:=True
      Else
      FormUsuarios.CheckBox4.Checked:=False;

      If TBModulos2Consulta.Value='S' Then
      FormUsuarios.CheckBox5.Checked:=True
      Else
      FormUsuarios.CheckBox5.Checked:=False;

      If TBModulos2Cancelamento.Value='S' Then
      FormUsuarios.CheckBox6.Checked:=True
      Else
      FormUsuarios.CheckBox6.Checked:=False;

      If TBModulos2Relatorio.Value='S' Then
      FormUsuarios.CheckBox7.Checked:=True
      Else
      FormUsuarios.CheckBox7.Checked:=False;

      If TBModulos2Operacoes.Value='S' Then
      FormUsuarios.CheckBox8.Checked:=True
      Else
      FormUsuarios.CheckBox8.Checked:=False;
   End;
end;

end.
