unit UnitOperacao;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, Buttons, ExtCtrls;

type
  TFOperacao = class(TForm)
    Bevel1: TBevel;
    btnExcluir: TSpeedButton;
    btnNovo: TSpeedButton;
    btnDesfazer: TSpeedButton;
    DBGridOperacao: TDBGrid;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnNovoClick(Sender: TObject);
    procedure btnDesfazerClick(Sender: TObject);
    procedure btnExcluirClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure DBGridOperacaoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBGridOperacaoKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBGridOperacaoKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FOperacao: TFOperacao;

implementation

uses UnitModule, UnitAcesso, UnitMenu;

{$R *.dfm}

procedure TFOperacao.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Module.TBOperacao.Edit;
   Module.TBOperacaoUsuario.Value:=Nome;
   Module.TBOperacao.Post;
   Module.TBOperacao.Refresh;

   action:=caFree;
   FOperacao:=nil;
end;

procedure TFOperacao.btnNovoClick(Sender: TObject);
begin
   Module.TBOperacao.Last;
   Module.TBOperacao.Append;
end;

procedure TFOperacao.btnDesfazerClick(Sender: TObject);
begin
   Module.TBOperacao.Cancel;
end;

procedure TFOperacao.btnExcluirClick(Sender: TObject);
begin
   If Module.TBOperacao.RecordCount<>0 Then
   Module.TBOperacao.Delete;
end;

procedure TFOperacao.FormShow(Sender: TObject);
begin
   Module.TBOperacao.Refresh;
   Module.TBOperacao.First;
end;

procedure TFOperacao.DBGridOperacaoKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   Case Key Of
   13 : Key := 9;
   End;

   If (Shift = [ssCtrl]) and (Key = 46) Then
   Key:= 0;

   If Key=VK_DOWN Then
   DBGridOperacao.Options:=[dgTitles,dgIndicator,dgColLines,dgRowLines,dgTabs,dgConfirmDelete,dgCancelOnExit];
end;

procedure TFOperacao.DBGridOperacaoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   DBGridOperacao.Options:=[dgEditing,dgTitles,dgIndicator,dgColLines,dgRowLines,dgTabs,dgConfirmDelete,dgCancelOnExit];
end;

procedure TFOperacao.DBGridOperacaoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If DBGridOperacao.SelectedIndex=0 Then
   Begin
      If not( key in['0',',','.'..'9',#8,#13] ) then
      begin
         key:=#0;
      end;
   End;
end;

end.
