unit UnitRelatorioNota;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, Grids, DBGrids, StdCtrls, DBCtrls, ExtCtrls,
  ToolWin, ComCtrls, Mask, Buttons, MMSystem;

type
  TFormRelatorioNotas = class(TForm)
    DBGridNota: TDBGrid;
    Panel5: TPanel;
    GroupBox1: TGroupBox;
    Label9: TLabel;
    Label10: TLabel;
    MaskEdit1: TMaskEdit;
    MaskEdit2: TMaskEdit;
    TimerProdutos: TTimer;
    Bevel1: TBevel;
    EditPesquisaCliente: TEdit;
    Label1: TLabel;
    DBGridClientes: TDBGrid;
    Panel4: TPanel;
    DBNavigatorConsulta: TDBNavigator;
    PanelBotoes: TPanel;
    btnLimpar: TBitBtn;
    Panel1: TPanel;
    Label16: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    PanelNotas: TPanel;
    PanelValor: TPanel;
    PanelPeso: TPanel;
    PanelAguarde: TPanel;
    Panel2: TPanel;
    procedure MaskEdit1Click(Sender: TObject);
    procedure MaskEdit1Exit(Sender: TObject);
    procedure MaskEdit1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MaskEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure MaskEdit2Click(Sender: TObject);
    procedure MaskEdit2Exit(Sender: TObject);
    procedure MaskEdit2KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure MaskEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
    procedure btnFecharClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure EditPesquisaClienteKeyPress(Sender: TObject; var Key: Char);
    procedure DBGridClientesCellClick(Column: TColumn);
    procedure DBGridClientesKeyPress(Sender: TObject; var Key: Char);
    procedure btnLimparClick(Sender: TObject);
    procedure EditPesquisaClienteEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormRelatorioNotas: TFormRelatorioNotas;

implementation

uses UnitMenu, UnitModule, UnitAcesso, UnitCadastroClientes, UnitAviso;

function tdStrIsDate(const S: string): boolean;
begin
  try
  StrToDate(S);
  Result := true;
  except
  Result := false;
  end;
end;

{$R *.dfm}

Var
   Lacrar:Integer;

procedure TFormRelatorioNotas.MaskEdit1Click(Sender: TObject);
begin
   MaskEdit1.SelectAll;
end;

procedure TFormRelatorioNotas.MaskEdit1Exit(Sender: TObject);
begin
   If MaskEdit1.Text<> '  /  /    ' Then
   Begin
      If Not tdStrIsDate(MaskEdit1.Text) Then
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.LabelFrase.Caption:='No  uma data vlida!';
         FormAviso.ShowModal;

         MaskEdit1.SelectAll;
         MaskEdit1.SetFocus;
      End;
   End;
end;

procedure TFormRelatorioNotas.MaskEdit1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   MaskEdit2.SetFocus;
end;

procedure TFormRelatorioNotas.MaskEdit1KeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      MaskEdit2.SetFocus;
   End;
end;

procedure TFormRelatorioNotas.MaskEdit2Click(Sender: TObject);
begin
   MaskEdit2.SelectAll;
end;

procedure TFormRelatorioNotas.MaskEdit2Exit(Sender: TObject);
begin
   If (MaskEdit1.Text<> '  /  /    ') And (MaskEdit2.Text<> '  /  /    ') Then
   Begin
      If Not tdStrIsDate(MaskEdit2.Text) Then
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.LabelFrase.Caption:='No  uma data vlida!';
         FormAviso.ShowModal;
         
         MaskEdit2.SetFocus;
         MaskEdit2.SelectAll;
      End;
   End;

     If MaskEdit1.Text= '  /  /    ' Then
     Begin
        SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
        Application.CreateForm(TFormAviso, FormAviso);
        FormAviso.LabelFrase.Caption:='Digite as duas Datas!';
        FormAviso.ShowModal;

        MaskEdit1.SetFocus;
        MaskEdit1.SelectAll;
     End;
end;

procedure TFormRelatorioNotas.MaskEdit2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   EditPesquisaCliente.SetFocus;
   If Key=VK_UP Then
   MaskEdit1.SetFocus;
end;

procedure TFormRelatorioNotas.MaskEdit2KeyPress(Sender: TObject; var Key: Char);
Var
   Total,Valor,Peso:Real;
   Giro,Registros,N1,R1:Integer;
   Troca:String;
begin
   If(Key=#13) Then
   Begin
      Key:=#0;

      Total:=0;
      Valor:=0;
      Peso:=0;

      Module.TBNota.Filtered:=False;

      If (Maskedit1.Text<> '  /  /    ') And (Maskedit2.Text<> '  /  /    ') Then
      Begin
         Module.TBNota.Filter := 'Data1 >='''+ MaskEdit1.Text + ''' And Data1 <=''' + MaskEdit2.Text + '''';
         Module.TBNota.Filtered:=True;

         PanelAguarde.Visible:=True;
         Application.ProcessMessages;

         Module.TBNota.First;
         Giro:=Module.TBNota.RecordCount;
         Registros:= 0;

         If Module.TBNota.RecordCount<>0 Then
         Begin
            while Registros <> Giro do
            Begin
               Registros:= Registros+1;

Troca:=Module.TBNotaPesoLiquido.Value;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

If Troca='' Then
Troca:='0.00';

DecimalSeparator:='.';
Peso:=Peso + StrToFloat(Troca);
DecimalSeparator:=',';

         Total:=Total + 1;
         Valor:=Valor + Module.TBNotaTotalNota.Value;

         Module.TBNota.Next;
         If Registros= Giro Then
         Begin
            Break;
         End;
       End;


       PanelNotas.Caption:=FormatFloat('####0',Total);
       PanelValor.Caption:=FormatFloat('###,##0.00',Valor);
       DecimalSeparator:='.';
       PanelPeso.Caption:=FormatFloat('###,##0.00',Peso);
       DecimalSeparator:=',';

       GroupBox1.Enabled:=False;
       btnLimpar.Enabled:=True;

       DBNavigatorConsulta.DataSource:=Module.DSNota;
       DBGridNota.DataSource:=Module.DSNota;
       PanelAguarde.Visible:=False;

       Module.TBNota.IndexFieldNames:='Numero';
       Module.TBNota.First;
       DBGridNota.SetFocus;
    End
    Else
    Begin
       PanelAguarde.Visible:=False;
       SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
       Application.CreateForm(TFormAviso, FormAviso);
       FormAviso.ShowModal;

       MaskEdit1.SelectAll;
       MaskEdit1.SetFocus;
    End;
   End;
 End;
    PanelAguarde.Visible:=False;
end;

procedure TFormRelatorioNotas.FormShow(Sender: TObject);
Var
   Data1,Data2:TDateTime;
   Ano,Mes,Dia:Word;
begin
   Lacrar:=0;

   Module.TBClientes.Refresh;
   Module.TBNota.Refresh;

   DBNavigatorConsulta.DataSource:=Module.DSBranco;
   DBGridNota.DataSource:=Module.DSBranco;
   DBGridClientes.DataSource:=Module.DSBranco;

   GroupBox1.Enabled:=True;
   btnLimpar.Enabled:=False;

   PanelNotas.Caption:='';
   PanelValor.Caption:='';
   PanelPeso.Caption:='';
   PanelAguarde.Visible:=False;
   EditPesquisaCliente.Clear;

   Data1:=Date;
   DecodeDate(Data1,Ano,Mes,Dia);

   Data2:=Date - Dia + 1;
   MaskEdit1.Text:=DateToStr(Data2);
   MaskEdit2.Text:=DateToStr(Data1);
   MaskEdit1.SetFocus;
end;

procedure TFormRelatorioNotas.btnFecharClick(Sender: TObject);
begin
   Close;
end;

procedure TFormRelatorioNotas.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Module.TBNota.Filtered:=False;

   action:=caFree;
   FormRelatorioNotas:=nil;
end;

procedure TFormRelatorioNotas.FormCreate(Sender: TObject);
Var
   DiaDaSemana:Array[1..7] Of String;
   Meses:Array[1..12] Of String;
   Dia, Mes, Ano: Word;
   Numerodia:Integer;
   Data:TDateTime;
begin
   DiaDaSemana[1]:='Domingo';
   DiaDaSemana[2]:='Segunda-Feira';
   DiaDaSemana[3]:='Tera-Feira';
   DiaDaSemana[4]:='Quarta-Feira';
   DiaDaSemana[5]:='Quinta-Feira';
   DiaDaSemana[6]:='Sexta-Feira';
   DiaDaSemana[7]:='Sbado';

   Meses[1]:='Janeiro';
   Meses[2]:='Fevereiro';
   Meses[3]:='Maro';
   Meses[4]:='Abril';
   Meses[5]:='Maio';
   Meses[6]:='Junho';
   Meses[7]:='Julho';
   Meses[8]:='Agosto';
   Meses[9]:='Setembro';
   Meses[10]:='Outubro';
   Meses[11]:='Novembro';
   Meses[12]:='Dezembro';

   Data:=Date;
   DecodeDate(Data,Ano,Mes,Dia);
   NumeroDia:=DayOfWeek(Data);

//   Text:='  Relatrio de Notas ' + '                    '
//   + '                                               ' + DiaDaSemana[NumeroDia] + ', ' + IntToStr(Dia)+' de '
//   + Meses[Mes]+ ' de ' +IntToStr(Ano) + '      -      ' + TimeToStr(Time);
   
end;

procedure TFormRelatorioNotas.EditPesquisaClienteKeyPress(Sender: TObject;
  var Key: Char);
Var
   VerificaDados,Giro,Registros,N1,R1:Integer;
   Total,Valor,Peso:Real;
   Troca:String;
begin
Try
If(Key=#13) Then
   If EditPesquisaCliente.Text='' Then
   Begin
      Key:=#0;
      EditPesquisaCliente.SetFocus;
   End
   Else
   Begin
      Key:=#0;

      Total:=0;
      Valor:=0;
      Peso:=0;

      Module.QueryNotas.Filtered:=False;
      Module.TBNota.Filtered:=False;

      VerificaDados:=StrToInt(EditPesquisaCliente.Text);
      With Module.QueryNotas Do
      Begin
         Close;
         SQL.Clear;
         SQL.Text:='select * from Nota where Codigo='+ EditPesquisaCliente.Text + '';
         Prepare;
         Open;
      End;
      If Module.QueryNotas.RecordCount = 0 Then
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.ShowModal;
      With Module.QueryNotas Do
      Begin
         Close;
      End;
         EditPesquisaCliente.SelectAll;
         EditPesquisaCliente.SetFocus;
         DBNavigatorConsulta.DataSource:=Module.DSBranco;
         DBGridNota.DataSource:=Module.DSBranco;
      End
      Else
      Begin
         PanelAguarde.Visible:=True;
         Application.ProcessMessages;

         Module.TBNota.Filter:= 'Codigo = '+QuotedStr(Module.QueryNotasCodigo.AsString);
         Module.TBNota.Filtered:=True;


      If Module.TBNota.RecordCount<>0 Then
      Begin
         Module.TBNota.First;
         Giro:=Module.TBNota.RecordCount;
         Registros:= 0;

         If Module.TBNota.RecordCount<>0 Then
         Begin
            while Registros <> Giro do
            Begin
               Registros:= Registros+1;

Troca:=Module.TBNotaPesoLiquido.Value;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

If Troca='' Then
Troca:='0.00';

DecimalSeparator:='.';
Peso:=Peso + StrToFloat(Troca);
DecimalSeparator:=',';

         Total:=Total + 1;
         Valor:=Valor + Module.TBNotaTotalNota.Value;

         Module.TBNota.Next;
         If Registros= Giro Then
         Begin
            Break;
         End;
       End;

       PanelNotas.Caption:=FormatFloat('####0',Total);
       PanelValor.Caption:=FormatFloat('###,##0.00',Valor);
       DecimalSeparator:='.';
       PanelPeso.Caption:=FormatFloat('###,##0.00',Peso);
       DecimalSeparator:=',';

       GroupBox1.Enabled:=False;
       btnLimpar.Enabled:=True;

       DBNavigatorConsulta.DataSource:=Module.DSNota;
       DBGridNota.DataSource:=Module.DSNota;
       PanelAguarde.Visible:=False;

       Module.TBNota.IndexFieldNames:='Numero';
       Module.TBNota.First;
       DBGridNota.SetFocus;
    End;
    End
    Else
    Begin
       PanelAguarde.Visible:=False;
       
       SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
       Application.CreateForm(TFormAviso, FormAviso);
       FormAviso.ShowModal;;
       EditPesquisaCliente.SelectAll;
       EditPesquisaCliente.SetFocus;
    End;
  End;
 End;
Except
   On EConvertError Do
   Begin
      With Module.QueryNotas Do
         Begin
         Close;
         SQL.Clear;
         SQL.Text:='select * from Nota where Razao like "%'+ EditPesquisaCliente.Text + '%" Order by Razao ';
         Prepare;
         Open;
      End;

      If Module.QueryNotas.RecordCount = 0 Then
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.ShowModal;
         With Module.QueryNotas Do
      Begin
         Close;
      End;
         EditPesquisaCliente.SelectAll;
         EditPesquisaCliente.SetFocus;
         DBNavigatorConsulta.DataSource:=Module.DSBranco;
         DBGridNota.DataSource:=Module.DSBranco;
      End
      Else
      Begin
         Lacrar:=1;
         DBGridClientes.DataSource:=Module.DSConsultaNotas;
         DBGridClientes.SetFocus;
      End;
   End;
 End;
end;

procedure TFormRelatorioNotas.DBGridClientesCellClick(Column: TColumn);
Var
   Total,Valor,Peso:Real;
   Giro,Registros,N1,R1:Integer;
   Troca:String;
begin
If Lacrar=1 Then
Begin
   Total:=0;
   Valor:=0;
   Peso:=0;

   PanelAguarde.Visible:=True;
   Application.ProcessMessages;

   Module.QueryNotas.Filter:= 'Codigo = '+QuotedStr(Module.QueryNotasCodigo.AsString);
   Module.QueryNotas.Filtered:=True;

   Module.TBNota.Filter:= 'Codigo = '+QuotedStr(Module.QueryNotasCodigo.AsString);
   Module.TBNota.Filtered:=True;

   If Module.TBNota.RecordCount<>0 Then
   Begin
      Module.TBNota.First;
      Giro:=Module.TBNota.RecordCount;
      Registros:= 0;

      If Module.TBNota.RecordCount<>0 Then
      Begin
         while Registros <> Giro do
         Begin
            Registros:= Registros+1;

Troca:=Module.TBNotaPesoLiquido.Value;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

If Troca='' Then
Troca:='0.00';

DecimalSeparator:='.';
Peso:=Peso + StrToFloat(Troca);
DecimalSeparator:=',';

         Total:=Total + 1;
         Valor:=Valor + Module.TBNotaTotalNota.Value;

         Module.TBNota.Next;
         If Registros= Giro Then
         Begin
            Break;
         End;
       End;

       PanelNotas.Caption:=FormatFloat('####0',Total);
       PanelValor.Caption:=FormatFloat('###,##0.00',Valor);
       DecimalSeparator:='.';
       PanelPeso.Caption:=FormatFloat('###,##0.00',Peso);
       DecimalSeparator:=',';

       GroupBox1.Enabled:=False;
       btnLimpar.Enabled:=True;

       DBNavigatorConsulta.DataSource:=Module.DSNota;
       DBGridNota.DataSource:=Module.DSNota;
       PanelAguarde.Visible:=False;

       Lacrar:=0;

       Module.TBNota.IndexFieldNames:='Numero';
       Module.TBNota.First;
       DBGridNota.SetFocus;
    End;
    End
    Else
    Begin
       PanelAguarde.Visible:=False;
       SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
       Application.CreateForm(TFormAviso, FormAviso);
       FormAviso.ShowModal;

       EditPesquisaCliente.SelectAll;
       EditPesquisaCliente.SetFocus;
    End;
End;
end;

procedure TFormRelatorioNotas.DBGridClientesKeyPress(Sender: TObject;
  var Key: Char);
Var
   Total,Valor,Peso:Real;
   Giro,Registros,N1,R1:Integer;
   Troca:String;
begin
If (Key=#13) And (Lacrar=1) Then
Begin
   Total:=0;
   Valor:=0;
   Peso:=0;

   PanelAguarde.Visible:=True;
   Application.ProcessMessages;

   Module.QueryNotas.Filter:= 'Codigo = '+QuotedStr(Module.QueryNotasCodigo.AsString);
   Module.QueryNotas.Filtered:=True;

   Module.TBNota.Filter:= 'Codigo = '+QuotedStr(Module.QueryNotasCodigo.AsString);
   Module.TBNota.Filtered:=True;

   If Module.TBNota.RecordCount<>0 Then
   Begin
      Module.TBNota.First;
      Giro:=Module.TBNota.RecordCount;
      Registros:= 0;

      If Module.TBNota.RecordCount<>0 Then
      Begin
         while Registros <> Giro do
         Begin
            Registros:= Registros+1;

Troca:=Module.TBNotaPesoLiquido.Value;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

If Troca='' Then
Troca:='0.00';

DecimalSeparator:='.';
Peso:=Peso + StrToFloat(Troca);
DecimalSeparator:=',';

         Total:=Total + 1;
         Valor:=Valor + Module.TBNotaTotalNota.Value;

         Module.TBNota.Next;
         If Registros= Giro Then
         Begin
            Break;
         End;
       End;

       PanelNotas.Caption:=FormatFloat('####0',Total);
       PanelValor.Caption:=FormatFloat('###,##0.00',Valor);
       DecimalSeparator:='.';
       PanelPeso.Caption:=FormatFloat('###,##0.00',Peso);
       DecimalSeparator:=',';

       GroupBox1.Enabled:=False;
       btnLimpar.Enabled:=True;

       DBNavigatorConsulta.DataSource:=Module.DSNota;
       DBGridNota.DataSource:=Module.DSNota;
       PanelAguarde.Visible:=False;

       Lacrar:=0;

       Module.TBNota.IndexFieldNames:='Numero';
       Module.TBNota.First;
       DBGridNota.SetFocus;
    End;
    End
    Else
    Begin
       PanelAguarde.Visible:=False;
       SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
       Application.CreateForm(TFormAviso, FormAviso);
       FormAviso.ShowModal;
       
       EditPesquisaCliente.SelectAll;
       EditPesquisaCliente.SetFocus;
    End;
End;
end;

procedure TFormRelatorioNotas.btnLimparClick(Sender: TObject);
begin
   Lacrar:=0;
   Module.QueryClientes.Filtered:=False;
   Module.TBNota.Filtered:=False;

   DBNavigatorConsulta.DataSource:=Module.DSBranco;
   DBGridNota.DataSource:=Module.DSBranco;
   DBGridClientes.DataSource:=Module.DSBranco;

   GroupBox1.Enabled:=True;
   btnLimpar.Enabled:=False;

   PanelNotas.Caption:='';
   PanelValor.Caption:='';
   PanelPeso.Caption:='';

   MaskEdit1.Clear;
   MaskEdit2.Clear;
   EditPesquisaCliente.Clear;
   MaskEdit1.SetFocus;
end;

procedure TFormRelatorioNotas.EditPesquisaClienteEnter(Sender: TObject);
begin
   MaskEdit1.Clear;
   MaskEdit2.Clear;
   EditPesquisaCliente.Clear;
end;

end.
