unit UnitUsuarios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, DB, DBTables, StdCtrls, Mask, DBCtrls, Grids, DBGrids,
  ToolWin, ComCtrls, Buttons, MMSystem;

type
  TFormUsuarios = class(TForm)
    Bevel1: TBevel;
    DBGridConsulta: TDBGrid;
    Panel4: TPanel;
    GroupBox2: TGroupBox;
    TimerProdutos: TTimer;
    CheckBox3: TCheckBox;
    ScrollBox1: TScrollBox;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    DBData: TDBEdit;
    DBNome: TDBEdit;
    DBSenha: TDBEdit;
    DBNavigatorConsulta: TDBNavigator;
    btnNovo: TSpeedButton;
    btnSalvar: TBitBtn;
    btnAlterar: TSpeedButton;
    btnExcluir: TSpeedButton;
    btncancelar: TSpeedButton;
    EditConsulta: TEdit;
    GroupBox1: TGroupBox;
    CheckBox2: TCheckBox;
    CheckBox1: TCheckBox;
    GroupBox3: TGroupBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    procedure btnFecharClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure EditConsultaKeyPress(Sender: TObject; var Key: Char);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btncancelarClick(Sender: TObject);
    procedure btnAlterarClick(Sender: TObject);
    procedure btnSalvarClick(Sender: TObject);
    procedure btnExcluirClick(Sender: TObject);
    procedure btnNovoClick(Sender: TObject);
    procedure DBNomeKeyPress(Sender: TObject; var Key: Char);
    procedure DBSenhaKeyPress(Sender: TObject; var Key: Char);
    procedure DBNomeKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBSenhaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure DBGridConsultaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure EditConsultaChange(Sender: TObject);
    procedure EditConsultaClick(Sender: TObject);
    procedure EditConsultaEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormUsuarios: TFormUsuarios;

implementation

uses UnitMenu, UnitAcesso, UnitModule, UnitCadastroClientes, UnitDialogo, UnitAviso;

{$R *.dfm}

Var
   Contador,Codigo,Salvar,Localiza:Integer;
   Numerar:String;

procedure TFormUsuarios.btnFecharClick(Sender: TObject);
begin
   Close;
end;

procedure TFormUsuarios.FormCreate(Sender: TObject);
Var
   DiaDaSemana:Array[1..7] Of String;
   Meses:Array[1..12] Of String;
   Dia, Mes, Ano: Word;
   Numerodia:Integer;
   Data:TDateTime;
begin
   DiaDaSemana[1]:='Domingo';
   DiaDaSemana[2]:='Segunda-Feira';
   DiaDaSemana[3]:='Tera-Feira';
   DiaDaSemana[4]:='Quarta-Feira';
   DiaDaSemana[5]:='Quinta-Feira';
   DiaDaSemana[6]:='Sexta-Feira';
   DiaDaSemana[7]:='Sbado';

   Meses[1]:='Janeiro';
   Meses[2]:='Fevereiro';
   Meses[3]:='Maro';
   Meses[4]:='Abril';
   Meses[5]:='Maio';
   Meses[6]:='Junho';
   Meses[7]:='Julho';
   Meses[8]:='Agosto';
   Meses[9]:='Setembro';
   Meses[10]:='Outubro';
   Meses[11]:='Novembro';
   Meses[12]:='Dezembro';

   Data:=Date;
   DecodeDate(Data,Ano,Mes,Dia);
   NumeroDia:=DayOfWeek(Data);

//   Text:='  Registros de Usurios ' + '      '
//   + '                                                        ' + DiaDaSemana[NumeroDia] + ', ' + IntToStr(Dia)+' de '
//   + Meses[Mes]+ ' de ' +IntToStr(Ano) + '      -      ' + TimeToStr(Time);
end;

procedure TFormUsuarios.FormShow(Sender: TObject);
begin
   Contador:=0;
   Codigo:=0;
   Salvar:=0;
   Localiza:=0;
   Numerar:='';

   Module.TBModulos2.Refresh;
   Module.TBModulos2.Last;

   btnNovo.Enabled:=True;
   btnSalvar.Enabled:=False;
   btnAlterar.Enabled:=True;
   btnExcluir.Enabled:=True;
   btnCancelar.Enabled:=False;

   DBData.Enabled:=False;
   DBNome.Enabled:=False;
   DBSenha.Enabled:=False;

// Limpar Checks

  CheckBox1.Checked:=False;
  CheckBox2.Checked:=False;
  CheckBox3.Checked:=False;
  CheckBox4.Checked:=False;
  CheckBox5.Checked:=False;
  CheckBox6.Checked:=False;
  CheckBox7.Checked:=False;
  CheckBox8.Checked:=False;

// Limpar Checks

   GroupBox1.Enabled:=False;
   GroupBox2.Enabled:=False;
   GroupBox3.Enabled:=False;

   ScrollBox1.SetFocus;
   EditConsulta.Clear;
   EditConsulta.SetFocus;
end;

procedure TFormUsuarios.EditConsultaKeyPress(Sender: TObject; var Key: Char);
Var
   Texto:String;
begin
   If (Key=#13) And (EditConsulta.Text<>'') Then
   Begin
      Key:=#0;
      Texto:=EditConsulta.Text;

      Module.TBModulos2.Filter := 'Nome = ' + QuotedStr(Texto+'*');
      Module.TBModulos2.Filtered := True;

      If Module.TBModulos2.RecordCount<>0 Then
         DBGridConsulta.SetFocus
      Else
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.ShowModal;

         EditConsulta.SetFocus;
         EditConsulta.SelectAll;
      End;
   End;
end;

procedure TFormUsuarios.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Module.TBModulos2.Filtered:=False;
   Module.TBModulos2.Cancel;

   Logo:=0;
   
   action:=caFree;
   FormUsuarios:=nil;
end;

procedure TFormUsuarios.btncancelarClick(Sender: TObject);
begin
   Contador:=0;
   Codigo:=0;
   Localiza:=1;
   Numerar:='';

   Module.TBModulos2.Cancel;

   btnNovo.Enabled:=True;
   btnSalvar.Enabled:=False;
   btnAlterar.Enabled:=True;
   btnExcluir.Enabled:=True;
   btnCancelar.Enabled:=False;

   DBNavigatorConsulta.Enabled:=True;
   DBGridConsulta.DataSource:=Module.DSModulos2;
   DBGridConsulta.Enabled:=True;

   DBData.Enabled:=False;
   DBNome.Enabled:=False;
   DBSenha.Enabled:=False;

   // Limpar Checks

  CheckBox1.Checked:=False;
  CheckBox2.Checked:=False;
  CheckBox3.Checked:=False;
  CheckBox4.Checked:=False;
  CheckBox5.Checked:=False;
  CheckBox6.Checked:=False;
  CheckBox7.Checked:=False;
  CheckBox8.Checked:=False;


// Limpar Checks

   GroupBox1.Enabled:=False;
   GroupBox2.Enabled:=False;
   GroupBox3.Enabled:=False;

   Localiza:=0;

   EditConsulta.Enabled:=True;
   EditConsulta.Clear;
   EditConsulta.SetFocus;
end;

procedure TFormUsuarios.btnAlterarClick(Sender: TObject);
Var
   Numero:String;
begin
   Localiza:=1;

   Numero:=Module.TBModulos2Codigo.AsString;
   Module.TBModulos2.Filter:= 'Codigo = '+QuotedStr(Numero);
   Module.TBModulos2.Filtered := True;

   If DBNome.Text <> '' Then
   Begin
      btnNovo.Enabled:=False;
      btnSalvar.Enabled:=True;
      btnCancelar.Enabled:=True;
      btnExcluir.Enabled :=True;
      btnAlterar.Enabled:=False;

      EditConsulta.Enabled:=False;
      DBNavigatorConsulta.Enabled:=False;

      DBData.Enabled:=True;
      DBNome.Enabled:=True;
      DBSenha.Enabled:=True;

      GroupBox1.Enabled:=True;
      GroupBox2.Enabled:=True;
      GroupBox3.Enabled:=True;

      Module.TBModulos2.Edit;
      DBNome.SetFocus;
   End;
end;

procedure TFormUsuarios.btnSalvarClick(Sender: TObject);
begin
   Contador:=0;
   Codigo:=0;
   Salvar:=1;
   Localiza:=0;

   If (DBNome.Text<> '') And (DBSenha.Text<> '') Then
   Begin

// Gravar Checks

   Module.TBModulos2.Edit;

   If CheckBox1.Checked=True Then
   Module.TBModulos2Clientes.Value:='S'
   Else
   Module.TBModulos2Clientes.Value:='N';

   If CheckBox2.Checked=True Then
   Module.TBModulos2Produtos.Value:='S'
   Else
   Module.TBModulos2Produtos.Value:='N';

   If CheckBox3.Checked=True Then
   Module.TBModulos2Emissao.Value:='S'
   Else
   Module.TBModulos2Emissao.Value:='N';

   If CheckBox4.Checked=True Then
   Module.TBModulos2Registros.Value:='S'
   Else
   Module.TBModulos2Registros.Value:='N';

   If CheckBox5.Checked=True Then
   Module.TBModulos2Consulta.Value:='S'
   Else
   Module.TBModulos2Consulta.Value:='N';

   If CheckBox6.Checked=True Then
   Module.TBModulos2Cancelamento.Value:='S'
   Else
   Module.TBModulos2Cancelamento.Value:='N';

   If CheckBox7.Checked=True Then
   Module.TBModulos2Relatorio.Value:='S'
   Else
   Module.TBModulos2Relatorio.Value:='N';

   If CheckBox8.Checked=True Then
   Module.TBModulos2Operacoes.Value:='S'
   Else
   Module.TBModulos2Operacoes.Value:='N';

  // Gravar Checks

     Module.TBModulos2Usuario.Value:=Nome;

     Module.TBModulos2.Post;
     Module.TBModulos2.Refresh;

     btnNovo.Enabled:=True;
     btnSalvar.Enabled:=False;
     btnCancelar.Enabled:=False;
     btnExcluir.Enabled:=True;
     btnAlterar.Enabled:=True;

     DBData.Enabled:=False;
     DBNome.Enabled:=False;
     DBSenha.Enabled:=False;

// Limpar Checks

     CheckBox1.Checked:=False;
     CheckBox2.Checked:=False;
     CheckBox3.Checked:=False;
     CheckBox4.Checked:=False;
     CheckBox5.Checked:=False;
     CheckBox6.Checked:=False;
     CheckBox7.Checked:=False;
     CheckBox8.Checked:=False;

// Limpar Checks

     GroupBox1.Enabled:=False;
     GroupBox2.Enabled:=False;
     GroupBox3.Enabled:=False;

     DBGridConsulta.DataSource:=Module.DSModulos2;
     DBGridConsulta.Enabled:=True;
     DBNavigatorConsulta.Enabled:=True;

     EditConsulta.Enabled:=True;
     EditConsulta.Clear;
     EditConsulta.SetFocus;
  End;
end;

procedure TFormUsuarios.btnExcluirClick(Sender: TObject);
Var
   Numero:String;
begin
   If DBNome.Text <> '' Then
   Begin
      Numero:=Module.TBModulos2Codigo.AsString;
      Module.TBModulos2.Filter:= 'Codigo = '+QuotedStr(Numero);
      Module.TBModulos2.Filtered := True;

      btnNovo.Enabled:=True;
      btnCancelar.Enabled:=False;
      btnSalvar.Enabled:=False;
      btnExcluir.Enabled:=True;
      btnAlterar.Enabled:=True;

      DBData.Enabled:=False;
      DBNome.Enabled:=False;
      DBSenha.Enabled:=False;

// Limpar Checks

      CheckBox1.Checked:=False;
      CheckBox2.Checked:=False;
      CheckBox3.Checked:=False;
      CheckBox4.Checked:=False;
      CheckBox5.Checked:=False;
      CheckBox6.Checked:=False;
      CheckBox7.Checked:=False;
      CheckBox8.Checked:=False;

// Limpar Checks

      GroupBox1.Enabled:=False;
      GroupBox2.Enabled:=False;
      GroupBox3.Enabled:=False;

      Application.CreateForm(TFormDialogo, FormDialogo);
      FormDialogo.LabelFrase.Caption:='Excluir o registro?';
      FormDialogo.ShowModal;

      If Dialogo='S' Then
      Begin
         Module.TBModulos2.Delete;
         Salvar:=1;
         End;

         Contador:=0;
         Codigo:=0;
         Localiza:=0;

         EditConsulta.Enabled:=True;
         ScrollBox1.SetFocus;
         EditConsulta.Clear;
         EditConsulta.SetFocus;
      End;
end;

procedure TFormUsuarios.btnNovoClick(Sender: TObject);
begin
   Localiza:=0;

   btnNovo.Enabled:=False;
   btnSalvar.Enabled:=True;
   btnCancelar.Enabled:=True;
   btnExcluir.Enabled:=False;
   btnAlterar.Enabled:=False;

   DBNavigatorConsulta.Enabled:=False;
   DBGridConsulta.DataSource:=Module.DSBranco;

   EditConsulta.Clear;
   EditConsulta.Enabled:=False;
   DBGridConsulta.Enabled:=False;

   DBData.Enabled:=True;
   DBNome.Enabled:=True;
   DBSenha.Enabled:=True;

   // Limpar Checks

  CheckBox1.Checked:=False;
  CheckBox2.Checked:=False;
  CheckBox3.Checked:=False;
  CheckBox4.Checked:=False;
  CheckBox5.Checked:=False;
  CheckBox6.Checked:=False;
  CheckBox7.Checked:=False;
  CheckBox8.Checked:=False;

// Limpar Checks

   GroupBox1.Enabled:=True;
   GroupBox2.Enabled:=True;
   GroupBox3.Enabled:=True;

   Module.TBModulos2.Last;
   Module.TBModulos2.Append;
   Module.TBModulos2.Edit;
   DBData.Field.Value:=Date;

   DBNome.SetFocus;
end;

procedure TFormUsuarios.DBNomeKeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
   Begin
     Key:=#0;
     DBSenha.SetFocus;
   End;
end;

procedure TFormUsuarios.DBSenhaKeyPress(Sender: TObject; var Key: Char);
begin
   If(Key=#13) Then
   Begin
     Key:=#0;
     CheckBox1.SetFocus;
   End;
end;

procedure TFormUsuarios.DBNomeKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key= VK_DOWN Then
   DBSenha.SetFocus;
end;

procedure TFormUsuarios.DBSenhaKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If Key= VK_DOWN Then
   CheckBox1.SetFocus;
   If Key= VK_UP Then
   DBNome.SetFocus;
end;

procedure TFormUsuarios.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
   IF btnSalvar.Enabled=True Then
   Begin
      SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
      Application.CreateForm(TFormAviso, FormAviso);
      FormAviso.LabelFrase.Caption:='Termine a Edio!';
      FormAviso.ShowModal;
   End;
end;

procedure TFormUsuarios.DBGridConsultaKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   If (Shift = [ssCtrl]) and (Key = 46) Then
   Key:= 0;
end;

procedure TFormUsuarios.EditConsultaChange(Sender: TObject);
begin
   Module.TBModulos2.IndexFieldNames:='Nome';
   Module.TBModulos2.FindNearest([EditConsulta.Text]);
end;

procedure TFormUsuarios.EditConsultaClick(Sender: TObject);
begin
   EditConsulta.Clear;
end;

procedure TFormUsuarios.EditConsultaEnter(Sender: TObject);
begin
   Module.TBModulos2.Filtered:=False;
   EditConsulta.Clear;
end;

end.
