unit UnitCadastroGrupos;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, StdCtrls, Mask, DBCtrls, DBTables, ExtCtrls, Buttons, Menus,
  ToolWin, ComCtrls, MMSystem;

type
  TFormCadastroGrupos = class(TForm)
    TimerGrupos: TTimer;
    PanelCadastro2: TPanel;
    Label1: TLabel;
    DBGrupo: TDBEdit;
    PanelCadastro3: TPanel;
    Label2: TLabel;
    DBSubGrupo: TDBEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    PanelCadastro1: TPanel;
    Label21: TLabel;
    DBFamilia: TDBEdit;
    Panel11: TPanel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    DBNavigatorFamilia: TDBNavigator;
    Panel1: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    DBNavigatorGrupos: TDBNavigator;
    Panel3: TPanel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    DBNavigatorSubGrupos: TDBNavigator;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BTFecharClick(Sender: TObject);
    procedure FecharESC1Click(Sender: TObject);
    procedure DBNavigatorGruposClick(Sender: TObject;
      Button: TNavigateBtn);
    procedure DBNavigatorSubGruposClick(Sender: TObject;
      Button: TNavigateBtn);
    procedure DBGrupoKeyPress(Sender: TObject; var Key: Char);
    procedure DBSubGrupoKeyPress(Sender: TObject; var Key: Char);
    procedure DBFamiliaKeyPress(Sender: TObject; var Key: Char);
    procedure DBNavigatorFamiliaClick(Sender: TObject;
      Button: TNavigateBtn);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormCadastroGrupos: TFormCadastroGrupos;
  VerificarSaida:Boolean;
implementation

uses UnitMenu, UnitModule, UnitAviso;

{$R *.dfm}

procedure TFormCadastroGrupos.FormShow(Sender: TObject);
begin
   Module.TBFamilia.Refresh;
   Module.TBFamilia.Last;

   Module.TBGrupos.Refresh;
   Module.TBGrupos.Last;

   Module.TBSubGrupos.Refresh;
   Module.TBSubGrupos.Last;

   PanelCadastro1.Enabled:=False;
   PanelCadastro2.Enabled:=False;
   PanelCadastro3.Enabled:=False;
end;

procedure TFormCadastroGrupos.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   If VerificarSaida=True Then
   Begin
      SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
      Application.CreateForm(TFormAviso, FormAviso);
      FormAviso.LabelFrase.Caption:='Termine a Edio';
      FormAviso.ShowModal;
      Abort;
   End;

   action:=caFree;
   FormCadastroGrupos:=nil;
end;

procedure TFormCadastroGrupos.BTFecharClick(Sender: TObject);
begin
   Close;
end;

procedure TFormCadastroGrupos.FecharESC1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormCadastroGrupos.DBNavigatorGruposClick(Sender: TObject;
  Button: TNavigateBtn);
begin
   Case Button Of

   nbInsert:
   Begin
      VerificarSaida:=True;
      DBNavigatorFamilia.Enabled:=False;
      DBNavigatorSubGrupos.Enabled:=False;
      PanelCadastro2.Enabled:=True;
      DBGrupo.SetFocus;
      Module.TBGrupos.Last;
      Module.TBGrupos.Append;
   End;

   nbEdit:
   Begin
      VerificarSaida:=True;
      DBNavigatorFamilia.Enabled:=False;
      DBNavigatorSubGrupos.Enabled:=False;
      PanelCadastro2.Enabled:=True;
      DBGrupo.SetFocus;
   End;

   nbPost:
   Begin
      VerificarSaida:=False;
      DBNavigatorFamilia.Enabled:=True;
      DBNavigatorSubGrupos.Enabled:=True;
      PanelCadastro2.Enabled:=False;
   End;

   nbCancel:
   Begin
      VerificarSaida:=False;
      DBNavigatorFamilia.Enabled:=True;
      DBNavigatorSubGrupos.Enabled:=True;
      PanelCadastro2.Enabled:=False;
   End;
   End;
end;

procedure TFormCadastroGrupos.DBNavigatorSubGruposClick(Sender: TObject;
  Button: TNavigateBtn);
begin
   Case Button Of

   nbInsert:
   Begin
      VerificarSaida:=True;
      DBNavigatorFamilia.Enabled:=False;
      DBNavigatorGrupos.Enabled:=False;
      PanelCadastro3.Enabled:=True;
      DBSubGrupo.SetFocus;
      Module.TBSubGrupos.Last;
      Module.TBSubGrupos.Append;
   End;

   nbEdit:
   Begin
      VerificarSaida:=True;
      DBNavigatorFamilia.Enabled:=False;
      DBNavigatorGrupos.Enabled:=False;
      PanelCadastro3.Enabled:=True;
      DBSubGrupo.SetFocus;
   End;

   nbPost:
   Begin
      VerificarSaida:=False;
      DBNavigatorFamilia.Enabled:=True;
      DBNavigatorGrupos.Enabled:=True;
      PanelCadastro3.Enabled:=False;
   End;

   nbCancel:
   Begin
      VerificarSaida:=False;
      DBNavigatorFamilia.Enabled:=True;
      DBNavigatorGrupos.Enabled:=True;
      PanelCadastro3.Enabled:=False;
   End;
   End;
end;

procedure TFormCadastroGrupos.DBGrupoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If Key=#13 then
   Begin
      Module.TBGrupos.Post;
      VerificarSaida:=False;
      DBNavigatorGrupos.Enabled:=True;
   End;
end;

procedure TFormCadastroGrupos.DBSubGrupoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If Key=#13 then
   Begin
      Module.TBSubGrupos.Post;
      VerificarSaida:=False;
      DBNavigatorSubGrupos.Enabled:=True;
   End;
end;

procedure TFormCadastroGrupos.DBFamiliaKeyPress(Sender: TObject;
  var Key: Char);
begin
   If Key=#13 then
   Begin
      Module.TBFamilia.Post;
      VerificarSaida:=False;
      DBNavigatorFamilia.Enabled:=True;
   End;
end;

procedure TFormCadastroGrupos.DBNavigatorFamiliaClick(Sender: TObject;
  Button: TNavigateBtn);
begin
    Case Button Of

   nbInsert:
   Begin
      VerificarSaida:=True;
      DBNavigatorGrupos.Enabled:=False;
      DBNavigatorSubGrupos.Enabled:=False;
      PanelCadastro1.Enabled:=True;
      DBFamilia.SetFocus;
      Module.TBFamilia.Last;
      Module.TBFamilia.Append;
   End;

   nbEdit:
   Begin
      VerificarSaida:=True;
      DBNavigatorGrupos.Enabled:=False;
      DBNavigatorSubGrupos.Enabled:=False;
      PanelCadastro1.Enabled:=True;
      DBFamilia.SetFocus;
   End;

   nbPost:
   Begin
      VerificarSaida:=False;
      DBNavigatorGrupos.Enabled:=True;
      DBNavigatorSubGrupos.Enabled:=True;
      PanelCadastro1.Enabled:=False;
   End;

   nbCancel:
   Begin
      VerificarSaida:=False;
      DBNavigatorGrupos.Enabled:=True;
      DBNavigatorSubGrupos.Enabled:=True;
      PanelCadastro1.Enabled:=False;
   End;
   End;
end;

end.
