unit UnitCadastroProdutos;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, DB, DBTables, Menus, StdCtrls, Buttons, Mask, DBCtrls,
  ToolWin, ComCtrls, Grids, DBGrids, MMSystem;

type
  TFormCadastroProdutos = class(TForm)
    TimerProdutos: TTimer;
    PanelCadastro1: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label18: TLabel;
    DBProduto: TDBEdit;
    DBFator: TDBComboBox;
    DBICMS: TDBMemo;
    DBUnidade: TDBComboBox;
    Bevel1: TBevel;
    Label17: TLabel;
    PanelBotoes: TPanel;
    BTNovo: TSpeedButton;
    BTSalvar: TSpeedButton;
    BTDesfazer: TSpeedButton;
    Panel1: TPanel;
    Panel2: TPanel;
    DBFabrica: TDBEdit;
    DBMetro: TDBEdit;
    DBNavigatorConsulta: TDBNavigator;
    EditConsulta: TEdit;
    Panel3: TPanel;
    Label20: TLabel;
    DBClasFiscal: TDBEdit;
    Label7: TLabel;
    DBMaximo: TDBEdit;
    Label8: TLabel;
    DBMinimo: TDBEdit;
    Label9: TLabel;
    DBIdeal: TDBEdit;
    Label11: TLabel;
    DBPrecoA: TDBEdit;
    Label10: TLabel;
    DBPrecoB: TDBEdit;
    Label24: TLabel;
    DBPrecoC: TDBEdit;
    Label19: TLabel;
    DBNegativado: TDBEdit;
    DBMemo: TDBMemo;
    Panel4: TPanel;
    Label1: TLabel;
    DBData: TDBEdit;
    Label2: TLabel;
    DBCodigo: TDBEdit;
    Label12: TLabel;
    DBGridConsulta: TDBGrid;
    btnManutencao: TSpeedButton;
    DBAcerto: TDBEdit;
    procedure FormShow(Sender: TObject);
    procedure BTFecharClick(Sender: TObject);
    procedure BTSalvarClick(Sender: TObject);
    procedure BTNovoClick(Sender: TObject);
    procedure BTDesfazerClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBProdutoKeyPress(Sender: TObject; var Key: Char);
    procedure DBUnidadeKeyPress(Sender: TObject; var Key: Char);
    procedure DBICMSKeyPress(Sender: TObject; var Key: Char);
    procedure DBMetroKeyPress(Sender: TObject; var Key: Char);
    procedure DBMaximoKeyPress(Sender: TObject; var Key: Char);
    procedure DBMinimoKeyPress(Sender: TObject; var Key: Char);
    procedure DBIdealKeyPress(Sender: TObject; var Key: Char);
    procedure DBClasFiscalKeyPress(Sender: TObject; var Key: Char);
    procedure DBPrecoVendaDKeyPress(Sender: TObject; var Key: Char);
    procedure DBNegativadoKeyPress(Sender: TObject; var Key: Char);
    procedure DBProdutoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBUnidadeKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBICMSKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBMetroKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBMaximoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBMinimoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBIdealKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBClasFiscalKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBPrecoCompraKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBPrecoVendaAKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBNegativadoKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FecharESC1Click(Sender: TObject);
    procedure DBFatorKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBFatorKeyPress(Sender: TObject; var Key: Char);
    procedure DBMetroExit(Sender: TObject);
    procedure DBFabricaKeyPress(Sender: TObject; var Key: Char);
    procedure DBFabricaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBObservacaoClick(Sender: TObject);
    procedure DBFatorExit(Sender: TObject);
    procedure DBMaximoExit(Sender: TObject);
    procedure DBMinimoExit(Sender: TObject);
    procedure DBIdealExit(Sender: TObject);
    procedure DBPrecoAKeyPress(Sender: TObject; var Key: Char);
    procedure DBPrecoBKeyPress(Sender: TObject; var Key: Char);
    procedure DBPrecoCKeyPress(Sender: TObject; var Key: Char);
    procedure DBPrecoAKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBPrecoBKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBPrecoCKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBICMSExit(Sender: TObject);
    procedure DBMemoKeyPress(Sender: TObject; var Key: Char);
    procedure EditConsultaClick(Sender: TObject);
    procedure EditConsultaEnter(Sender: TObject);
    procedure EditConsultaKeyPress(Sender: TObject; var Key: Char);
    procedure DBGridConsultaKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBNavigatorConsultaClick(Sender: TObject;
      Button: TNavigateBtn);
    procedure DBGridConsultaKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DBGridConsultaCellClick(Column: TColumn);
    procedure PanelCadastro1Exit(Sender: TObject);
    procedure btnManutencaoClick(Sender: TObject);
    procedure DBAcertoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormCadastroProdutos: TFormCadastroProdutos;

implementation

uses UnitAcesso, UnitMenu, UnitModule, UnitCadastroClientes, UnitAviso;

{$R *.dfm}

Var
   Busca:Integer;

procedure TFormCadastroProdutos.FormShow(Sender: TObject);
begin
   Busca:=0;

   Module.TBProdutos.Refresh;

   EditConsulta.SetFocus;
end;

procedure TFormCadastroProdutos.BTFecharClick(Sender: TObject);
begin
   Close;
end;

procedure TFormCadastroProdutos.BTSalvarClick(Sender: TObject);
Var
   N1,R1:Integer;
   Somar:Real;
   Troca1:String;
begin
   If DBProduto.Text<>'' Then
   Begin
      Module.TBProdutos.Edit;

      If Module.TBProdutosData.AsString='' Then
      Module.TBProdutosData.Value:=Date;

      If DBUnidade.Text='' Then
      Module.TBProdutosUnidade.Value:='KG';

      If (DBMetro.Text='') And (DBUnidade.Text<>'PC') And (DBUnidade.Text<>'MT') Then
      Module.TBProdutosMetro.Value:='0.00';

      If DBFator.Text='' Then
      Module.TBProdutosFator.Value:='6';

      If DBMaximo.Text='' Then
      Module.TBProdutosMaximo.Value:='0.00';

      If DBMinimo.Text='' Then
      Module.TBProdutosMinimo.Value:='0.00';

      If DBIdeal.Text='' Then
      Module.TBProdutosIdeal.Value:='0.00';

      If DBPrecoA.Text='' Then
      Module.TBProdutosP_Venda.Value:=0;

      If DBPrecoB.Text='' Then
      Module.TBProdutosP_VendaB.Value:=0;

      If DBPrecoC.Text='' Then
      Module.TBProdutosP_VendaC.Value:=0;

Troca1:=DBMetro.Text;
N1:=Length(Troca1);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 7 Then
Delete(Troca1,R1,1);

      If DBUnidade.Text='KG' Then
      Begin
         DecimalSeparator:='.';
         Somar:=StrToFloat(Troca1) * StrToFloat(DBFator.Text);
         Module.TBProdutosBarra.Value:=FormatFloat('##,##0.00',Somar);
         DecimalSeparator:=',';
      End;

      If Module.TBProdutosAtual.Value='' Then
      Module.TBProdutosAtual.Value:='0.00';

      Module.TBProdutosUsuario.Value:=Nome;
      Module.TBProdutos.Post;
   End;
end;

procedure TFormCadastroProdutos.BTNovoClick(Sender: TObject);
Var
   Codigo:Real;
begin
   BTSalvar.Click;
   
   EditConsulta.SetFocus;
   Module.TBProdutos.IndexFieldNames:='';

   Module.TBProdutos.Last;
   Codigo:=Module.TBProdutosCodigo.Value + 1;

   Module.TBProdutos.Append;
   Module.TBProdutos.Edit;
   Module.TBProdutosCodProd.Value:=Codigo;
   Module.TBProdutosEspecial.Value:='N';
end;

procedure TFormCadastroProdutos.BTDesfazerClick(Sender: TObject);
begin
   Module.TBProdutos.Cancel;
   PanelBotoes.SetFocus;
end;

procedure TFormCadastroProdutos.FormCreate(Sender: TObject);
Var
   DiaDaSemana:Array[1..7] Of String;
   Meses:Array[1..12] Of String;
   Dia, Mes, Ano: Word;
   Numerodia:Integer;
   Data:TDateTime;
begin
   DiaDaSemana[1]:='Domingo';
   DiaDaSemana[2]:='Segunda-Feira';
   DiaDaSemana[3]:='Tera-Feira';
   DiaDaSemana[4]:='Quarta-Feira';
   DiaDaSemana[5]:='Quinta-Feira';
   DiaDaSemana[6]:='Sexta-Feira';
   DiaDaSemana[7]:='Sbado';

   Meses[1]:='Janeiro';
   Meses[2]:='Fevereiro';
   Meses[3]:='Maro';
   Meses[4]:='Abril';
   Meses[5]:='Maio';
   Meses[6]:='Junho';
   Meses[7]:='Julho';
   Meses[8]:='Agosto';
   Meses[9]:='Setembro';
   Meses[10]:='Outubro';
   Meses[11]:='Novembro';
   Meses[12]:='Dezembro';

   Data:=Date;
   DecodeDate(Data,Ano,Mes,Dia);
   NumeroDia:=DayOfWeek(Data);

//   Text:='  Cadastro de Produtos ' + '       '
//   + '                                                        ' + DiaDaSemana[NumeroDia] + ', ' + IntToStr(Dia)+' de '
//   + Meses[Mes]+ ' de ' +IntToStr(Ano) + '      -      ' + TimeToStr(Time);
end;

procedure TFormCadastroProdutos.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   action:=caFree;
   FormCadastroProdutos:=nil;
end;

procedure TFormCadastroProdutos.DBProdutoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBUnidadeKeyPress(Sender: TObject;
  var Key: Char);
begin
   If (Length(DBUnidade.Text)>=2) And (Key<>#13) Then
   Key:=#0;

   If(Key=#13) And (DBUnidade.DroppedDown=False) Then
   Begin
      Key:=#0;
      DBUnidade.DroppedDown:=True;
   End
   Else If(Key=#13) And (DBUnidade.DroppedDown=True) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End
   Else
   Key:=#0;
end;

procedure TFormCadastroProdutos.DBICMSKeyPress(Sender: TObject;
  var Key: Char);
begin
   If not( key in['0'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBMetroKeyPress(Sender: TObject;
  var Key: Char);
begin
   If not( key in['0',',','.'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If key= ',' then
   Begin
      key:='.';
   End;

   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBMaximoKeyPress(Sender: TObject;
var Key: Char);
begin
   If not( key in['0',',','.'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If key= ',' then
   Begin
      key:='.';
   End;

   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBMinimoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If not( key in['0',',','.'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If key= ',' then
   Begin
      key:='.';
   End;

   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBIdealKeyPress(Sender: TObject;
  var Key: Char);
begin
   If not( key in['0',',','.'..'9',#8,#13] ) then
   begin
      key:=#0;
   end;

   If key= ',' then
   Begin
      key:='.';
   End;

   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBClasFiscalKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      DBMaximo.SelectAll;
      DBMaximo.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBPrecoVendaDKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBNegativadoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBProdutoKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBUnidade.SetFocus;
end;

procedure TFormCadastroProdutos.DBUnidadeKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If (Key= VK_DOWN) And (DBUnidade.DroppedDown=False) Then
   Begin
      Key:=0;
      DBMetro.SetFocus;
   End;

   If (Key= VK_UP) And (DBUnidade.DroppedDown=False) Then
   Begin
      Key:=0;
      DBProduto.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBICMSKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Begin
      Key:=0;
      DBFabrica.SetFocus;
   End;

   If Key=VK_UP Then
   Begin
      Key:=0;
      DBFator.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBMetroKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBFator.SetFocus;
   If Key=VK_UP Then
   DBUnidade.SetFocus;
end;

procedure TFormCadastroProdutos.DBMaximoKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBIdeal.SetFocus;
   If Key=VK_UP Then
   DBClasfiscal.SetFocus;
end;

procedure TFormCadastroProdutos.DBMinimoKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBPrecoA.SetFocus;
   If Key=VK_UP Then
   DBIdeal.SetFocus;
end;

procedure TFormCadastroProdutos.DBIdealKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBMinimo.SetFocus;
   If Key=VK_UP Then
   DBMaximo.SetFocus;
end;

procedure TFormCadastroProdutos.DBClasFiscalKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Begin
      Key:=0;
      DBMaximo.SelectAll;
      DBMaximo.SetFocus;
   End;

   If Key=VK_UP Then
   Begin
      Key:=0;
      DBFabrica.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBPrecoCompraKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Begin


      Key:=0;
   End;

   If key=VK_UP Then
   Begin
      DBIdeal.SelectAll;
      DBIdeal.SetFocus;
      Key:=0;
   End;
end;

procedure TFormCadastroProdutos.DBPrecoVendaAKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   Begin
      DBNegativado.SetFocus;
      Key:=0;
   End;

   If Key=VK_UP Then
   Begin

      Key:=0;
   End;
end;

procedure TFormCadastroProdutos.DBNegativadoKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBMemo.SetFocus;
   If Key=VK_UP Then
   DBPrecoC.SetFocus;
end;

procedure TFormCadastroProdutos.FecharESC1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormCadastroProdutos.DBFatorKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If (Key= VK_DOWN) And (DBFator.DroppedDown=False) Then
   Begin
      Key:=0;
      DBIcms.SelectAll;
      DBIcms.SetFocus;
   End;

   If (Key= VK_UP) And (DBFator.DroppedDown=False) Then
   Begin
      Key:=0;
      DBMetro.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBFatorKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) And (DBFator.DroppedDown=False) Then
   Begin
      Key:=#0;
      DBFator.DroppedDown:=True;
   End
   Else If(Key=#13) And (DBFator.DroppedDown=True) Then 
   Begin
      Key:=#0;
      DBIcms.SelectAll;
      DBIcms.SetFocus;
   End
   Else
   Key:=#0;
end;

procedure TFormCadastroProdutos.DBMetroExit(Sender: TObject);
Var
   Troca:String;
   N1,R1:Integer;
begin
If DBMetro.Text<>'' Then
Begin
Troca:=DBMetro.Text;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

      DecimalSeparator:= '.';
      Module.TBProdutos.Edit;
      DBMetro.Field.Text:=FormatFloat('#,##0.00',StrToFloat(Troca));
      DecimalSeparator:= ',';
End;
end;

procedure TFormCadastroProdutos.DBFabricaKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBFabricaKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBClasfiscal.SetFocus;
   If Key=VK_UP Then
   DBIcms.SetFocus;
end;

procedure TFormCadastroProdutos.DBObservacaoClick(Sender: TObject);
begin
   PanelBotoes.SetFocus;
end;

procedure TFormCadastroProdutos.DBFatorExit(Sender: TObject);
begin
   IF (DBFator.Text='0') OR (DBFator.Text='0.5') OR (DBFator.Text='2') OR (DBFator.Text='3') OR (DBFator.Text='6') OR (DBFator.Text='') Then
   Else
   Begin
      SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
      Application.CreateForm(TFormAviso, FormAviso);
      FormAviso.LabelFrase.Caption:='Permitidos: 0,3,6 !';
      FormAviso.ShowModal;

      DBFator.SelectAll;
      DBFator.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBMaximoExit(Sender: TObject);
Var
   Troca:String;
   N1,R1:Integer;
begin
If DBMaximo.Text<>'' Then
Begin
Troca:=DBMaximo.Text;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

     DecimalSeparator:= '.';
     Module.TBProdutos.Edit;
     DBMaximo.Field.Text:=FormatFloat('##,##0.00',StrToFloat(Troca));
     DecimalSeparator:= ',';
End;
end;

procedure TFormCadastroProdutos.DBMinimoExit(Sender: TObject);
Var
   Troca:String;
   N1,R1:Integer;
begin
If DBMinimo.Text<>'' Then
Begin
Troca:=DBMinimo.Text;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

     DecimalSeparator:= '.';
     Module.TBProdutos.Edit;
     DBMinimo.Field.Text:=FormatFloat('##,##0.00',StrToFloat(Troca));
     DecimalSeparator:= ',';
End;
end;

procedure TFormCadastroProdutos.DBIdealExit(Sender: TObject);
Var
   Troca:String;
   N1,R1:Integer;
begin
If DBIdeal.Text<>'' Then
Begin
Troca:=DBIdeal.Text;
N1:=Length(Troca);

If N1=8 Then
Begin
R1:=2
End
Else If N1=9 Then
Begin
R1:=3
End
Else If N1=10 Then
Begin
R1:=4
End;

If N1 >= 8 Then
Delete(Troca,R1,1);

     DecimalSeparator:= '.';
     Module.TBProdutos.Edit;
     DBIdeal.Field.Text:=FormatFloat('##,##0.00',StrToFloat(Troca));
     DecimalSeparator:= ',';
End;
end;

procedure TFormCadastroProdutos.DBPrecoAKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBPrecoBKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBPrecoCKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) Then
   Begin
      Key:=#0;
      SelectNext((Sender as TwinControl),True,True);
   End;
end;

procedure TFormCadastroProdutos.DBPrecoAKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBPrecoB.SetFocus;
   If Key=VK_UP Then
   DBMinimo.SetFocus;
end;

procedure TFormCadastroProdutos.DBPrecoBKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBPrecoC.SetFocus;
   If Key=VK_UP Then
   DBPrecoA.SetFocus;
end;

procedure TFormCadastroProdutos.DBPrecoCKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Key=VK_DOWN Then
   DBNegativado.SetFocus;
   If Key=VK_UP Then
   DBPrecoB.SetFocus;
end;

procedure TFormCadastroProdutos.DBICMSExit(Sender: TObject);
begin
   IF (DBIcms.Text='12') OR (DBIcms.Text='18') OR (DBIcms.Text='') Then
   Else
   Begin
      SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
      Application.CreateForm(TFormAviso, FormAviso);
      FormAviso.LabelFrase.Caption:='Permitidos: 12,18 !';
      FormAviso.ShowModal;

      DBIcms.SelectAll;
      DBIcms.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.DBMemoKeyPress(Sender: TObject;
  var Key: Char);
begin
   If(Key=#13) And (DBMemo.lines.Count=20) Then
   Begin
      Key:=#0;
      DBProduto.SetFocus;
   End;
end;

procedure TFormCadastroProdutos.EditConsultaClick(Sender: TObject);
begin
   EditConsulta.Clear;
end;

procedure TFormCadastroProdutos.EditConsultaEnter(Sender: TObject);
begin
   Busca:=0;

   Module.TBProdutos.IndexFieldNames:='Codigo';
   Module.TBProdutos.First;

   DBNavigatorConsulta.DataSource:=Module.DSProdutos;
   DBGridConsulta.DataSource:=Module.DSProdutos;

   EditConsulta.Clear;
end;

procedure TFormCadastroProdutos.EditConsultaKeyPress(Sender: TObject;
  var Key: Char);
begin
   If (Key=#13) And (EditConsulta.Text<>'') Then
   Begin
      Key:=#0;
      Module.QueryProdutos.Filtered:=False;

      Begin
      With Module.QueryProdutos Do
         Begin
         Close;
         SQL.Clear;
         SQL.Text:='select * from Produtos where Descricao like "%'+ EditConsulta.Text + '%" Order By Codigo';
         Prepare;
         Open;
      End;

      If Module.QueryProdutos.RecordCount = 0 Then
      Begin
         SndPlaySound('C:\Gerenciador\Sons\Erro.wav', SND_ASYNC);
         Application.CreateForm(TFormAviso, FormAviso);
         FormAviso.ShowModal;
         With Module.QueryProdutos Do
      Begin
         Close;
      End;
         EditConsulta.SetFocus;
         EditConsulta.SelectAll;
      End
      Else
      Begin
         Busca:=1;

         DBNavigatorConsulta.DataSource:=Module.DSConsultaProdutos;
         DBGridConsulta.DataSource:=Module.DSConsultaProdutos;
         DBGridConsulta.SetFocus;
       End;
   End;
  End;
end;

procedure TFormCadastroProdutos.DBGridConsultaKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   if (Shift = [ssCtrl]) and (Key = 46) Then
   Key := 0;

   If Busca=1 Then
   Module.TBProdutos.Locate('Codigo',Module.QueryProdutosCodigo.Value,[]);
end;

procedure TFormCadastroProdutos.DBNavigatorConsultaClick(Sender: TObject;
  Button: TNavigateBtn);
begin
   If Busca=1 Then
   Module.TBProdutos.Locate('Codigo',Module.QueryProdutosCodigo.Value,[]);
end;

procedure TFormCadastroProdutos.DBGridConsultaKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
   If Busca=1 Then
   Module.TBProdutos.Locate('Codigo',Module.QueryProdutosCodigo.Value,[]);
end;

procedure TFormCadastroProdutos.DBGridConsultaCellClick(Column: TColumn);
begin
   If Busca=1 Then
   Module.TBProdutos.Locate('Codigo',Module.QueryProdutosCodigo.Value,[]);
end;

procedure TFormCadastroProdutos.PanelCadastro1Exit(Sender: TObject);
begin
   BTSalvar.Click;
end;

procedure TFormCadastroProdutos.btnManutencaoClick(Sender: TObject);
Var
   Registros,Giro:Integer;
begin
   Module.TBProdutos.First;
   Giro:=Module.TBProdutos.RecordCount;
   Registros:=0;

   If Module.TBProdutos.RecordCount<>0 Then
   Begin
      while Registros <> Giro do
      Begin
         Registros:= Registros+1;

//         Module.TBProdutos.Edit;
//         Module.TBProdutosCodProd.AsString:='';
//         Module.TBProdutosCodProd.Value:=Module.TBProdutosCodigo.Value;

         Module.TBProdutos.Next;
         If Registros= Giro Then
        Begin
           Break;
        End;
      End;
   End;  
end;

procedure TFormCadastroProdutos.DBAcertoClick(Sender: TObject);
begin
   PanelCadastro1.SetFocus;
end;

end.
